	.module at17.c
	.area data(ram, con, rel)
_packet_number:
	.blkb 1
	.area idata
	.byte 0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/at17.h
	.dbsym s packet_number _packet_number c
_pageAddress:
	.blkb 4
	.area idata
	.word 0,0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/at17.h
	.dbsym s pageAddress _pageAddress l
	.area text(rom, con, rel)
	.dbfile C:\project\design2/at17.h
	.dbfile C:\project\design2\at17.c
	.dbfunc s initAT94K _initAT94K fI
	.even
_initAT94K::
	.dbline -1
	.dbline 18
; /****************************************************************************/
; /*  File Name:          AT17.C							    */                                       
; /*  Title:              UART and Two-wire implementation file               */
; /*  Last Updated:       August 5, 2001						    */
; /*  Target Device:      AT94K05AL/10AL/40AL-25DQC (208-pin packet only)     */ 
; /*												    */
; /*   Support Email:      fpslic@atmel.com						    */
; /*   Support Hotline:    +1 (408) 436-4119 (USA)				    */
; /****************************************************************************/
; 
; #include "at17.h"
; 
; /****************************************************************************/
; /*  initAT94K         									    */
; /****************************************************************************/
; 
; void initAT94K(void)
; {
	.dbline 20
;       
;         DDRD = 0xFF;                           /* Configure PORTD as Output */
	ldi R24,255
	out 0x11,R24
	.dbline 21
;         PORTD = 0x00;                          /* Dispaly 0x00 on PORTD     */
	clr R2
	out 0x12,R2
	.dbline 25
; 
; 
; 
;         PORTE |= (1 << PE7);                   /* PE7 High, SER_EN Disabled */
	sbi 0x7,7
	.dbline 26
;         DDRE  |= (1 << PE7);                   /* PE7 Output                */
	sbi 0x6,7
	.dbline 28
; 
;         EIMF  = 0x33;                          /* Enalbe External Interrrupt*/
	ldi R24,51
	out 0x3b,R24
	.dbline 29
;         SREG |= 0x80;		                 /* Enable Interrupts         */
	bset 7
	.dbline -2
	.dbline 32
;        
; 
; }
L1:
	.dbline 0 ; func end
	ret
	.area vector(rom, abs)
	.org 8
	jmp _INT0_handler
	.area text(rom, con, rel)
	.dbfile C:\project\design2\at17.c
	.dbfunc s INT0_handler _INT0_handler fI
;     readBuffer -> y+272
;   resetAddress -> y+268
;         value2 -> R10
;         status -> R12
;   program_data -> y+135
; rxvalue_buffer -> y+2
;      byteCount -> R14
	.even
_INT0_handler::
	xcall push_lset
	xcall push_gset5
	sbiw R28,63
	sbiw R28,63
	sbiw R28,63
	sbiw R28,63
	sbiw R28,63
	sbiw R28,63
	sbiw R28,22  ; offset = 400
	.dbline -1
	.dbline 48
; 
; 
; 
; /****************************************************************************/
; /* set interrupt handler for External Hardware interrupt zero               */
; /****************************************************************************/
; 
; #pragma interrupt_handler   INT0_handler:EXT_INT0
; 
; /****************************************************************************/
; /* Interrupt Service Routine                                                */
; /* This routine is used to execute the reconfiguraion procedure             */
; /****************************************************************************/
; 
; void INT0_handler(void)
; {
	.dbline 51
; 
; 	unsigned char status;
; 	unsigned long resetAddress = raddress;
	ldi R16,<L3
	ldi R17,>L3
	xcall lpm32
	movw R30,R28
	subi R30,244  ; addi 268
	sbci R31,254
	std z+0,R16
	std z+1,R17
	std z+2,R18
	std z+3,R19
	.dbline 52
; 	unsigned char byteCount = 0;
	clr R14
	.dbline 56
; 	unsigned char readBuffer[T_BYTE];
; 	unsigned char rxvalue_buffer[TR_BYTE];
;       unsigned char program_data[TR_BYTE];
;  	unsigned char value2 = bad;
	ldi R24,69
	mov R10,R24
	.dbline 64
; 
; 
; /****************************************************************************/
; /* Initialize receiving buffer             	                            */
; /****************************************************************************/
; 
; 
;       for(byteCount = 0; byteCount < TR_BYTE; byteCount++)
	xjmp L7
L4:
	.dbline 65
	.dbline 66
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	clr R2
	std z+0,R2
	.dbline 67
	movw R24,R28
	subi R24,121  ; offset = 135
	sbci R25,255
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	clr R2
	std z+0,R2
	.dbline 68
L5:
	.dbline 64
	inc R14
L7:
	.dbline 64
	mov R24,R14
	cpi R24,133
	brlo L4
	.dbline 76
;       { 
;           rxvalue_buffer[byteCount] = 0;
;           program_data[byteCount] = 0;
;       }
; 
; 
; /****************************************************************************/
; /* Initialize I/O ports, UART0 and Two-wire Interface port                  */
; /****************************************************************************/
; 
;                      
;       initAT94K();                    /* Setup PORTD and PORTE              */
	xcall _initAT94K
	.dbline 79
; 	
; 
;       initUART0(BAUD19K2);            /* Baud Rate set to 9600 bps          */      
	ldi R16,12
	ldi R17,0
	xcall _initUART0
	.dbline 82
;        
;                                       /* using a 4 MHz Crystal */
;       initTWS(0);                     /* Initialize TWS of AT84K @ 250 kHz  */
	clr R16
	xcall _initTWS
	.dbline 86
;     
;         
; 
;       PORTD = 0x01;                   /* Turn on LED for PORT D to 
	ldi R24,1
	out 0x12,R24
	.dbline 98
;                                          indicate the chip is ready         */    
;      
; //      PORTE &= ~(1 << PE7);   	 /* SER_EN = LOW  
; //                                     (EEPROM Programming Mode Enabled)    */
; 
; 
; 
; /****************************************************************************/
; /* Send C character to sender to start data transmission.                   */
; /****************************************************************************/
;         
;       waitMs(255);                    /* Wait for 20ms  delay                */
	ldi R16,255
	ldi R17,0
	xcall _waitMs
L8:
	.dbline 101
L9:
	.dbline 101
; 
; 						 /* Wait for data Regiester to be empty */
;       while(!(UCSR0A & (1 << UDRE0))); 
	sbis 0xb,5
	rjmp L8
	.dbline 103
; 
;       UDR0 = C_character;            /* Receiver ready, send "C" to sender  */
	ldi R24,67
	out 0xc,R24
	.dbline 115
; 
;       
; 
; 
; /****************************************************************************/
; /* Receive 133 bytes of data. 1st packet contains file info                 */
; /****************************************************************************/
; 	     	
; 	       		       /* Wait for 133 bytes of data to be received */
; 
; 
;       for (byteCount = 0; byteCount < TR_BYTE; byteCount++)
	clr R14
	xjmp L14
X0:
	.dbline 116
;       { 
L15:
	.dbline 118
L16:
	.dbline 118
	sbis 0xb,7
	rjmp L15
	.dbline 120
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0xc
	std z+0,R2
	.dbline 122
L12:
	.dbline 115
	inc R14
L14:
	.dbline 115
	mov R24,R14
	cpi R24,133
	brlo L16
	.dbline 127
;             
;              while (!(UCSR0A & (1<<RXC0)));                  
;                 
;              rxvalue_buffer[byteCount] = UDR0;                 
; 		   
;       }
; 	  
; 	
; 
; 
;       PORTD = 0x02;                          /* Light up the LED on PORTD   */
	ldi R24,2
	out 0x12,R24
	.dbline 130
; 
; 
;       status = validate_packet(&rxvalue_buffer[0]); /* check packet status  */
	movw R24,R28
	adiw R24,2
	movw R16,R24
	xcall _validate_packet
	movw R2,R16
	mov R12,R2
	.dbline 133
;        
; 
;       respond(status);                        /* Send ACK or NAK to sender  */
	mov R16,R12
	xcall _respond
	xjmp L19
L18:
	.dbline 144
; 
;     
; 
;    
; /****************************************************************************/
; /* if status is not good, (NAK already sent) wait for packet 1 again        */
; /****************************************************************************/
; 
; 
;       while (status != good)                  /* Check packet status        */
;       {
	.dbline 147
;                                /* Wait for 133 bytes of data to be received */
; 		
;             for (byteCount = 0; byteCount < TR_BYTE; byteCount++)
	clr R14
	xjmp L24
X1:
	.dbline 148
;             { 
L25:
	.dbline 150
L26:
	.dbline 150
	sbis 0xb,7
	rjmp L25
	.dbline 152
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0xc
	std z+0,R2
	.dbline 156
L22:
	.dbline 147
	inc R14
L24:
	.dbline 147
	mov R24,R14
	cpi R24,133
	brlo L26
	.dbline 159
;                 
;               while (!(UCSR0A & (1<<RXC0)));        
;                 
;               rxvalue_buffer[byteCount] = UDR0;     
;                   
;              
; 		   
;             }
; 							    /* Validate 2nd packet again  */
; 
;       status = validate_packet(&rxvalue_buffer[0]); 
	movw R24,R28
	adiw R24,2
	movw R16,R24
	xcall _validate_packet
	movw R2,R16
	mov R12,R2
	.dbline 161
;  
;     if (status == good )         
	mov R24,R12
	cpi R24,5
	brne L28
	.dbline 163
; 	
;            respond(status);                   /* Send ACK or NAK to sender  */
	mov R16,R12
	xcall _respond
L28:
	.dbline 164
L19:
	.dbline 143
	mov R24,R12
	cpi R24,5
	brne L18
	.dbline 167
;       }
;     
; 
;         PORTD = 0x05;   			    /* Light up PORTD             */
	ldi R24,5
	out 0x12,R24
L30:
	.dbline 178
L31:
	.dbline 178
; 
; 
; 
; 
; /****************************************************************************/
; /* Send a 2nd "C" character to start actual data transmission               */
; /****************************************************************************/
; 	   
; 					        /* Wait for data register to be empty */						 
; 
;       while(!(UCSR0A & (1 << UDRE0)));  
	sbis 0xb,5
	rjmp L30
	.dbline 180
; 
;       UDR0 = C_character;             /* Receiver ready, send "C" to sender */
	ldi R24,67
	out 0xc,R24
	.dbline 185
;     
; 
;                                /* Wait for 133 bytes of data to be received */
; 
;       for (byteCount = 0; byteCount < TR_BYTE; byteCount++)
	clr R14
	xjmp L36
X2:
	.dbline 186
;       { 
L37:
	.dbline 188
L38:
	.dbline 188
	sbis 0xb,7
	rjmp L37
	.dbline 190
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0xc
	std z+0,R2
	.dbline 192
	movw R24,R28
	adiw R24,2
	mov R16,R14
	clr R17
	add R16,R24
	adc R17,R25
	xcall _bit_swap
	movw R2,R16
	movw R24,R28
	subi R24,121  ; offset = 135
	sbci R25,255
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 194
L34:
	.dbline 185
	inc R14
L36:
	.dbline 185
	mov R24,R14
	cpi R24,133
	brlo L38
	.dbline 197
;              
;            while (!(UCSR0A & (1<<RXC0)));              
;                 
;            rxvalue_buffer[byteCount] = UDR0;           
;            
;            program_data[byteCount] = bit_swap(&rxvalue_buffer[byteCount]); 
; 		   
;       }
; 
; 
;       status = validate_packet(&rxvalue_buffer[0]);  /* Valid packet        */
	movw R24,R28
	adiw R24,2
	movw R16,R24
	xcall _validate_packet
	movw R2,R16
	mov R12,R2
	.dbline 206
;     
; 
; 
; /****************************************************************************/
; /* program 128 bytes of data to the AT17LV010 EEPROM if status is good      */
; /****************************************************************************/
; 
; 
;       if (status == good )
	mov R24,R12
	cpi R24,5
	brne L40
	.dbline 208
; 
;       {
	.dbline 209
;        PORTE &= ~(1 << PE7);   	 /* SER_EN = LOW  
	cbi 0x7,7
	.dbline 212
;                                       (EEPROM Programming Mode Enabled)    */
; 		
;           pageAddress = 0;
	ldi R16,<L42
	ldi R17,>L42
	xcall lpm32
	sts _pageAddress+1,R17
	sts _pageAddress,R16
	sts _pageAddress+2+1,R19
	sts _pageAddress+2,R18
	.dbline 216
;           
;            
;             
;           writePage(&program_data[3], 
	ldi R24,7
	ldi R25,0
	movw R2,R16
	movw R4,R18
	st -y,R24
	xcall lsl32
	movw R2,R16
	movw R4,R18
	ldi R16,<L44
	ldi R17,>L44
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	std y+0,R4
	std y+1,R5
	mov R18,R2
	mov R19,R3
	movw R24,R28
	subi R24,118  ; offset = 138
	sbci R25,255
	movw R16,R24
	xcall _writePage
	.dbline 219
;                    ((unsigned long) (pageAddress << 7) & 0x0001FF80));  
; 
;       }		
L40:
	.dbline 224
; 
;       
; 
;                                  
;       respond(status);                         /* Send ACK or NAK to sender */
	mov R16,R12
	xcall _respond
	xjmp L46
L45:
	.dbline 235
; 
;       
;                             
; /****************************************************************************/
; /* if status != good,  wait for packet again (NAK is already sent).         */
; /****************************************************************************/    
; 
;      
;       while (status != good) 
; 
;       {
	.dbline 239
;        
;                                /* Wait for 133 bytes of data to be received */
;  
;        for (byteCount = 0; byteCount < TR_BYTE; byteCount++)
	clr R14
	xjmp L51
X3:
	.dbline 241
;             
;        { 
L52:
	.dbline 242
L53:
	.dbline 242
	sbis 0xb,7
	rjmp L52
	.dbline 244
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0xc
	std z+0,R2
	.dbline 246
	movw R24,R28
	adiw R24,2
	mov R16,R14
	clr R17
	add R16,R24
	adc R17,R25
	xcall _bit_swap
	movw R2,R16
	movw R24,R28
	subi R24,121  ; offset = 135
	sbci R25,255
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 248
L49:
	.dbline 239
	inc R14
L51:
	.dbline 239
	mov R24,R14
	cpi R24,133
	brlo L53
	.dbline 251
;             while (!(UCSR0A & (1<<RXC0)));
;                 
;             rxvalue_buffer[byteCount] = UDR0;
;            
;             program_data[byteCount] = bit_swap(&rxvalue_buffer[byteCount]); 		        
; 
;        }
; 
;                                
;       status = validate_packet(&rxvalue_buffer[0]);   /* Validate packet    */
	movw R24,R28
	adiw R24,2
	movw R16,R24
	xcall _validate_packet
	movw R2,R16
	mov R12,R2
	.dbline 259
;         
;       
; /****************************************************************************/
; /* program 128 bytes of data to the AT17LV010 EEPROM if status is good      */
; /****************************************************************************/
; 
; 
;       if (status == good )         
	mov R24,R12
	cpi R24,5
	brne L55
	.dbline 260
; 	{
	.dbline 261
; 	   PORTE &= ~(1 << PE7);   	 /* SER_EN = LOW  
	cbi 0x7,7
	.dbline 264
;                                       (EEPROM Programming Mode Enabled)    */
; 
;             pageAddress = 0;
	ldi R16,<L42
	ldi R17,>L42
	xcall lpm32
	sts _pageAddress+1,R17
	sts _pageAddress,R16
	sts _pageAddress+2+1,R19
	sts _pageAddress+2,R18
	.dbline 266
;         
;             writePage(&program_data[3], 
	ldi R24,7
	ldi R25,0
	movw R2,R16
	movw R4,R18
	st -y,R24
	xcall lsl32
	movw R2,R16
	movw R4,R18
	ldi R16,<L44
	ldi R17,>L44
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	std y+0,R4
	std y+1,R5
	mov R18,R2
	mov R19,R3
	movw R24,R28
	subi R24,118  ; offset = 138
	sbci R25,255
	movw R16,R24
	xcall _writePage
	.dbline 268
;                      ((unsigned long) (pageAddress << 7) & 0x0001FF80));  
;       }
L55:
	.dbline 271
	mov R16,R12
	xcall _respond
	.dbline 274
L46:
	.dbline 233
	mov R24,R12
	cpi R24,5
	breq X5
	xjmp L45
X5:
	xjmp L59
L58:
	.dbline 284
; 
; 
;       respond(status);                   /*   Send ACK or NAK to sender     */
;     
;      
;       }                                  /* Loop back if status is no good  */
;     
;     
;    
; /****************************************************************************/
; /* get remainder of the file                                                */
; /****************************************************************************/
; 
;                                /* Wait for 133 bytes of data to be received */
; 
;       while (status != end) {
	.dbline 286
;      
;       for (byteCount = 0; byteCount < TR_BYTE; byteCount++)
	clr R14
	xjmp L64
X4:
	.dbline 287
;       { 
L65:
	.dbline 289
L66:
	.dbline 289
;     
;            while (!(UCSR0A & (1<<RXC0)));
	sbis 0xb,7
	rjmp L65
	.dbline 291
;                 
;            rxvalue_buffer[byteCount] = UDR0;
	movw R24,R28
	adiw R24,2
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0xc
	std z+0,R2
	.dbline 293
; 		        
;          program_data[byteCount] = bit_swap(&rxvalue_buffer[byteCount]); 
	movw R24,R28
	adiw R24,2
	mov R16,R14
	clr R17
	add R16,R24
	adc R17,R25
	xcall _bit_swap
	movw R2,R16
	movw R24,R28
	subi R24,121  ; offset = 135
	sbci R25,255
	mov R30,R14
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 295
; 	     
;          if (rxvalue_buffer[0] == EOT )
	ldd R24,y+2
	cpi R24,4
	brne L68
	.dbline 297
; 		        
;                byteCount = TR_BYTE;
	ldi R24,133
	mov R14,R24
L68:
	.dbline 301
L62:
	.dbline 286
	inc R14
L64:
	.dbline 286
	mov R24,R14
	cpi R24,133
	brlo L66
	.dbline 305
; 		
;    
; 		   
;       }
; 
;         
;         
;       status = validate_packet(&rxvalue_buffer[0]);  /* validate the packet */
	movw R24,R28
	adiw R24,2
	movw R16,R24
	xcall _validate_packet
	movw R2,R16
	mov R12,R2
	.dbline 314
;         
;     
;    
; /****************************************************************************/
; /* program 128 bytes of data to the AT17LV010 EEPROM if status is good      */
; /****************************************************************************/     
;                 
; 
;       if (status == good )
	mov R24,R12
	cpi R24,5
	brne L70
	.dbline 315
; 	{
	.dbline 316
;     PORTE &= ~(1 << PE7);   	 /* SER_EN = LOW  
	cbi 0x7,7
	.dbline 319
;                                       (EEPROM Programming Mode Enabled)    */
; 	    
;           pageAddress ++;
	ldi R16,<L72
	ldi R17,>L72
	xcall lpm32
	lds R5,_pageAddress+2+1
	lds R4,_pageAddress+2
	lds R3,_pageAddress+1
	lds R2,_pageAddress
	add R2,R16
	adc R3,R17
	adc R4,R18
	adc R5,R19
	sts _pageAddress+1,R3
	sts _pageAddress,R2
	sts _pageAddress+2+1,R5
	sts _pageAddress+2,R4
	.dbline 321
;        
;           writePage(&program_data[3], 
	ldi R24,7
	ldi R25,0
	st -y,R24
	movw R16,R2
	movw R18,R4
	xcall lsl32
	movw R2,R16
	movw R4,R18
	ldi R16,<L44
	ldi R17,>L44
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	std y+0,R4
	std y+1,R5
	mov R18,R2
	mov R19,R3
	movw R24,R28
	subi R24,118  ; offset = 138
	sbci R25,255
	movw R16,R24
	xcall _writePage
	.dbline 324
;                    ((unsigned long) (pageAddress << 7) & 0x0001FF80));  
;         
;         }
L70:
	.dbline 327
	mov R16,R12
	xcall _respond
	.dbline 329
L59:
	.dbline 284
	mov R24,R12
	cpi R24,80
	breq X6
	xjmp L58
X6:
	.dbline 337
; 	    
;        
;       respond(status);                                  /* Send ACK or NAK  */
;         
;       } 
; 
; 
; /****************************************************************************/
; /* end of file transmission      		         	                      */
; /****************************************************************************/
;            
;        
;       PORTD = 0xAA;
	ldi R24,170
	out 0x12,R24
	.dbline 347
; 
; 
; 
; /****************************************************************************/
; /* program reset polarity level to low (*RESET/OE)                          */
; /* This procedure can be igored if the reset poarity of EEPROM              */
; /* is previously programmed.                                                */
; /*************************** ************************************************/
;           
;       PORTE &= ~(1 << PE7);   	 /* SER_EN = LOW  
	cbi 0x7,7
	.dbline 355
;                                       (EEPROM Programming Mode Enabled)    */
; 
;    
;    //   programResetPolarity(LOW, resetAddress);
; 
;    //   if (verifyResetPolarity(resetAddress))
;    //   {
;                 value2 = good;
	ldi R24,5
	mov R10,R24
	.dbline 371
;    //   }     
; 
;     
; 
; /****************************************************************************/
; /* Check final result from LED on PORTD                                     */
; /****************************************************************************/
; 
;      /* if programming reset procedure is delted,  "&& (value2 = good)"     */
;      /* should be also deleted from the following statement.                */
;      
; 
; 
;     /*  if (( status == end) && (value2 == good) ) */
;       
; 	   if (status == end)   
	mov R24,R12
	cpi R24,80
	brne L74
	.dbline 372
;           PORTD = 0xFF;
	ldi R24,255
	out 0x12,R24
	xjmp L75
L74:
	.dbline 376
;     
;       else
;      
;           PORTD = 0x0F;
	ldi R24,15
	out 0x12,R24
L75:
	.dbline 384
; 
; 
; /****************************************************************************/	 
; /* Turn on configuration mode to start configuration (SER_EN = High)        */
; /****************************************************************************/  
; 	 
;         
;       PORTE |= 0x80;
	sbi 0x7,7
	.dbline -2
	.dbline 388
; 
; 
;         
;   }
L2:
	adiw R28,63
	adiw R28,63
	adiw R28,63
	adiw R28,63
	adiw R28,63
	adiw R28,63
	adiw R28,22  ; offset = 400
	xcall pop_gset5
	xcall pop_lset
	.dbline 0 ; func end
	reti
	.dbsym l readBuffer 272 A[128:128]c
	.dbsym l resetAddress 268 l
	.dbsym r value2 10 c
	.dbsym r status 12 c
	.dbsym l program_data 135 A[133:133]c
	.dbsym l rxvalue_buffer 2 A[133:133]c
	.dbsym r byteCount 14 c
	.dbfunc s initTWS _initTWS fI
;        bitRate -> R16
	.even
_initTWS::
	.dbline -1
	.dbline 397
; 
; 
; 
; /****************************************************************************/
; /* initTWS         									    */
; /****************************************************************************/
; 
; void initTWS(unsigned char bitRate)
; {
	.dbline 398
;         TWBR  = bitRate;                        /* Setting TWC Bit Rate    */
	out 0x1c,R16
	.dbline 399
;         TWS_MASTER_INIT();                      /* Included in TWS.H       */
	in R24,0x36
	andi R24,207
	out 0x36,R24
	.dbline 399
	in R24,0x36
	ori R24,4
	out 0x36,R24
	.dbline -2
	.dbline 427
; 
; 
; /***************************************************************************/
; /* Two-wire Serial Interface Bit Rate Table for 4 MHz                      */
; /*								                           */
; /*      +-------+-------------+----------+----------+				   */
; /*      |       |    TWBR     |      Bit Rate       |                      */
; /*      |       +------+------+----------+----------+                      */
; /*      | Clock | Hex  | Dec  |    Hz    |    kHz   |                      */
; /*      +-------+------+------+----------+----------+                      */
; /*      | 4 MHz | 0x00 |   0  | 250000   | 250      |                      */
; /*      |       | 0x02 |   2  | 200000   | 200      |                      */
; /*      |       | 0x08 |   8  | 125000   | 125      |                      */
; /*      |       | 0x0C |  12  | 100000   | 100      |                      */
; /*      |       | 0x11 |  17  |  80000   |  80      |                      */
; /*      |       | 0x18 |  24  |  62500   |  62.5    |                      */
; /*      |       | 0x20 |  32  |  50000   |  50      |                      */
; /*      |       | 0x2A |  42  |  40000   |  40      |                      */
; /*      |       | 0x38 |  56  |  31250   |  31.25   |                      */
; /*      |       | 0x48 |  72  |  25000   |  25      |                      */
; /*      |       | 0x5C |  92  |  20000   |  20      |                      */
; /*      |       | 0x78 | 120  |  15625   |  15.625  |                      */
; /*      |       | 0x98 | 152  |  12500   |  12.5    |                      */
; /*      |       | 0xC0 | 192  |  10000   |  10      |                      */
; /*      |       | 0xF8 | 248  |   7812.5 |   7.8125 |                      */
; /*      +-------+------+------+----------+----------+                      */
; /***************************************************************************/
; }
L76:
	.dbline 0 ; func end
	ret
	.dbsym r bitRate 16 c
	.dbfunc s initUART0 _initUART0 fI
;       baudRate -> R16,R17
	.even
_initUART0::
	.dbline -1
	.dbline 435
; 
; 
; /***************************************************************************/
; /* initUART0               				                           */
; /***************************************************************************/
; 
; void initUART0(unsigned int baudRate)
; {
	.dbline 437
; 
;         UCSR0B |= ((1 << RXEN0) | (1 << TXEN0) );  /* Enable UART1 RX & TX */
	in R24,0xa
	ori R24,24
	out 0xa,R24
	.dbline 438
;         UCSR0B &= ~(1 << CHR90);               /* Disable 9-Bit Characters */ 
	cbi 0xa,2
	.dbline 440
; 
;         UBRRHI |= ((baudRate >> 8) & 0x000F);      /* Set BaudRate[11:8]   */
	movw R24,R16
	mov R24,R25
	clr R25
	andi R24,15
	andi R25,0
	in R2,0x20
	clr R3
	or R2,R24
	or R3,R25
	out 0x20,R2
	.dbline 441
;         UBRR0  |= ((baudRate) & 0x00FF);           /* Set BaudRate[7:0]    */
	movw R24,R16
	andi R25,0
	in R2,0x9
	clr R3
	or R2,R24
	or R3,R25
	out 0x9,R2
	.dbline -2
	.dbline 442
; }
L77:
	.dbline 0 ; func end
	ret
	.dbsym r baudRate 16 i
	.dbfunc s bit_swap _bit_swap fI
;      bit_7_reg -> R20
;      bit_6_reg -> R22
;      bit_5_reg -> R10
;      bit_4_reg -> R12
;      bit_3_reg -> R14
;      bit_2_reg -> R4
;      bit_1_reg -> R8
;      bit_0_reg -> R6
;      swap_data -> R20
;            ptr -> R16,R17
	.even
_bit_swap::
	xcall push_gset5
	.dbline -1
	.dbline 453
; 
; 
; 
; 
; 
; /***************************************************************************/
; /*  Bit_swap fucntion                                                      */
; /***************************************************************************/
; 
; unsigned char bit_swap(unsigned char *ptr)
; {
	.dbline 466
; 
;    unsigned char swap_data;   
;    unsigned char bit_0_reg;
;    unsigned char bit_1_reg;
;    unsigned char bit_2_reg;
;    unsigned char bit_3_reg;
;    unsigned char bit_4_reg;
;    unsigned char bit_5_reg;
;    unsigned char bit_6_reg;
;    unsigned char bit_7_reg;
;  
;   
;    bit_0_reg = *ptr;
	movw R30,R16
	ldd R2,z+0
	mov R6,R2
	.dbline 467
;    bit_1_reg = *ptr;
	mov R8,R2
	.dbline 468
;    bit_2_reg = *ptr;
	mov R4,R2
	.dbline 469
;    bit_3_reg = *ptr;
	ldd R14,z+0
	.dbline 470
;    bit_4_reg = *ptr;
	ldd R12,z+0
	.dbline 471
;    bit_5_reg = *ptr;
	ldd R10,z+0
	.dbline 472
;    bit_6_reg = *ptr; 
	ldd R22,z+0
	.dbline 473
;    bit_7_reg = *ptr;
	ldd R20,z+0
	.dbline 475
; 
;    swap_data = (((bit_0_reg & 0x80 ) >> 7) | 
	mov R24,R8
	andi R24,64
	lsr R24
	lsr R24
	lsr R24
	lsr R24
	lsr R24
	mov R25,R6
	andi R25,128
	lsr R25
	lsr R25
	lsr R25
	lsr R25
	lsr R25
	lsr R25
	lsr R25
	or R25,R24
	mov R24,R4
	andi R24,32
	lsr R24
	lsr R24
	lsr R24
	or R25,R24
	mov R24,R14
	andi R24,16
	lsr R24
	or R25,R24
	mov R24,R12
	andi R24,8
	lsl R24
	or R25,R24
	mov R24,R10
	andi R24,4
	lsl R24
	lsl R24
	lsl R24
	or R25,R24
	mov R24,R22
	andi R24,2
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	or R25,R24
	mov R24,R20
	andi R24,1
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	lsl R24
	or R25,R24
	mov R20,R25
	.dbline 486
;                 ((bit_1_reg & 0x40 ) >> 5) |
;                 ((bit_2_reg & 0x20 ) >> 3) |
;                 ((bit_3_reg & 0x10 ) >> 1) |
;                 ((bit_4_reg & 0x08 ) << 1) |
;                 ((bit_5_reg & 0x04 ) << 3) |
;                 ((bit_6_reg & 0x02 ) << 5) |
;                 ((bit_7_reg & 0x01 ) << 7) );
; 
; 
;  
;    return (swap_data);
	mov R16,R20
	clr R17
	.dbline -2
L78:
	xcall pop_gset5
	.dbline 0 ; func end
	ret
	.dbsym r bit_7_reg 20 c
	.dbsym r bit_6_reg 22 c
	.dbsym r bit_5_reg 10 c
	.dbsym r bit_4_reg 12 c
	.dbsym r bit_3_reg 14 c
	.dbsym r bit_2_reg 4 c
	.dbsym r bit_1_reg 8 c
	.dbsym r bit_0_reg 6 c
	.dbsym r swap_data 20 c
	.dbsym r ptr 16 pc
	.dbfunc s waitMs _waitMs fI
;          count -> R20
;             ms -> R16
	.even
_waitMs::
	xcall push_gset1
	.dbline -1
	.dbline 500
; 
; }
; 
; 
; 
; 
; 
; 
; /***************************************************************************/
; /* Delay                                                                   */
; /***************************************************************************/
; 
; void waitMs(unsigned char ms)
; {
	.dbline 504
;  
; unsigned char count;
; 
;   for(count = 0; count < ms; count ++)
	clr R20
	xjmp L83
L80:
	.dbline 505
;   {
	.dbline 507
; 
;    TCNT0 = 0xC0;
	ldi R24,192
	out 0x32,R24
	.dbline 508
;    TCCR0 = 0x03;
	ldi R24,3
	out 0x33,R24
L84:
	.dbline 509
L85:
	.dbline 509
	in R2,0x38
	sbrs R2,1
	rjmp L84
	.dbline 510
	clr R2
	out 0x33,R2
	.dbline 511
	in R24,0x38
	ori R24,2
	out 0x38,R24
	.dbline 512
L81:
	.dbline 504
	inc R20
L83:
	.dbline 504
	cp R20,R16
	brlo L80
	.dbline -2
	.dbline 513
;    while (!(TIFR & ( 1 << TOV0)));
;    TCCR0 = 0x00;
;    TIFR |= (1 << TOV0);
;   }
; }
L79:
	xcall pop_gset1
	.dbline 0 ; func end
	ret
	.dbsym r count 20 c
	.dbsym r ms 16 c
	.dbfunc s calcrc _calcrc fI
;              i -> R22,R23
;            crc -> R20,R21
;          count -> R18,R19
;            ptr -> R16,R17
	.even
_calcrc::
	xcall push_gset2
	.dbline -1
	.dbline 522
; 
; 
; 
; /***************************************************************************/
; /* Calcrc                                                                  */
; /***************************************************************************/
; 
; int calcrc(unsigned char *ptr, int count)
; {
	.dbline 526
; 
;    int crc, i;
; 
;    crc = 0;
	clr R20
	clr R21
	xjmp L89
L88:
	.dbline 528
; 
;    while (--count >= 0) {
	.dbline 530
; 
;       crc = crc ^ (int) *ptr++ << 8;
	movw R2,R16
	subi R16,255  ; offset = 1
	sbci R17,255
	movw R30,R2
	ldd R2,z+0
	clr R3
	mov R3,R2
	clr R2
	eor R20,R2
	eor R21,R3
	.dbline 531
;       for (i = 0; i < 8; ++i)
	clr R22
	clr R23
L91:
	.dbline 532
;          if (crc & 0x8000)
	movw R24,R20
	andi R24,0
	andi R25,128
	cpi R24,0
	cpc R24,R25
	breq L95
	.dbline 533
;             crc = crc << 1 ^ 0x1021;
	ldi R24,4129
	ldi R25,16
	movw R2,R20
	lsl R2
	rol R3
	eor R2,R24
	eor R3,R25
	movw R20,R2
	xjmp L96
L95:
	.dbline 535
;          else
;             crc = crc << 1;
	lsl R20
	rol R21
L96:
L92:
	.dbline 531
	subi R22,255  ; offset = 1
	sbci R23,255
	.dbline 531
	cpi R22,8
	ldi R30,0
	cpc R23,R30
	brlt L91
	.dbline 536
L89:
	.dbline 528
	movw R24,R18
	sbiw R24,1
	movw R2,R24
	movw R18,R2
	cpi R24,0
	ldi R30,0
	cpc R25,R30
	brge L88
	.dbline 538
;    }
; 
; return (crc);
	mov R16,R20
	mov R17,R21
	.dbline -2
L87:
	xcall pop_gset2
	.dbline 0 ; func end
	ret
	.dbsym r i 22 I
	.dbsym r crc 20 I
	.dbsym r count 18 I
	.dbsym r ptr 16 pc
	.dbfunc s validate_packet _validate_packet fI
;            crc -> R10,R11
;         packet -> R20
;         bufptr -> R22,R23
	.even
_validate_packet::
	xcall push_gset3
	movw R22,R16
	.dbline -1
	.dbline 548
; 
; }
; 
; 
; /***************************************************************************/
; /* validate_packet                                                         */
; /***************************************************************************/
; 
; unsigned char validate_packet(unsigned char *bufptr) 
; {
	.dbline 553
; 
; unsigned char packet;
; int crc;
;                      
; packet = bad;
	ldi R20,69
	.dbline 556
; 
;             
;   if (bufptr[0] == SOH)          /* Check if it is the start of the packet */
	movw R30,R22
	ldd R24,z+0
	cpi R24,1
	breq X7
	xjmp L98
X7:
	.dbline 560
; 
;                                  /* Check sequential packet numer          */
; 
;   {
	.dbline 561
;    if (bufptr[1] == ((packet_number + 1) & 0xff))  
	lds R24,_packet_number
	subi R24,255	; addi 1
	andi R24,255
	ldd R2,z+1
	cp R2,R24
	breq X8
	xjmp L100
X8:
	.dbline 562
;    {                                             
	.dbline 564
;  
;       if ((bufptr[1] + bufptr[2]) == 0xff)  
	ldd R2,z+2
	ldd R24,z+1
	add R24,R2
	cpi R24,255
	breq X9
	xjmp L99
X9:
	.dbline 565
;       {   
	.dbline 567
;                
;       crc = calcrc(&bufptr[3],128);          /* Compute CRC and valide it  */
	ldi R18,128
	ldi R19,0
	movw R16,R22
	subi R16,253  ; offset = 3
	sbci R17,255
	xcall _calcrc
	movw R2,R16
	movw R10,R2
	.dbline 569
;       
;          if ((bufptr[131] == (unsigned char)(crc >> 8)) && 
	mov R2,R3
	clr R3
	sbrc R2,7
	com R3
	movw R30,R22
	subi R30,125  ; addi 131
	sbci R31,255
	ldd R3,z+0
	subi R30,131
	sbci R31,0
	cp R3,R2
	brne L99
	subi R30,124  ; addi 132
	sbci R31,255
	ldd R2,z+0
	cp R2,R10
	brne L99
	.dbline 572
;             (bufptr[132] == (unsigned char)(crc))) 
; 
;          {    
	.dbline 574
; 
;              packet_number++; 
	lds R24,_packet_number
	subi R24,255	; addi 1
	sts _packet_number,R24
	.dbline 576
;                             
;              packet = good;
	ldi R20,5
	.dbline 578
;  
;          }    
	.dbline 580
;                     
;        } 
	.dbline 582
;                 
;     }   
	xjmp L99
L100:
	.dbline 589
;             
;    
; 
; 
; /* if the packet is the previous packet, donot increament packet number    */
;                   
;    else if (bufptr[1] == ((packet_number) & 0xff))   
	lds R24,_packet_number
	andi R24,255
	movw R30,R22
	ldd R2,z+1
	cp R2,R24
	brne L99
	.dbline 591
;        
;             packet = dup; 
	ldi R20,9
	.dbline 592
;   }   
	xjmp L99
L98:
	.dbline 600
;             
;             
; /***************************************************************************/
; /* validate_packet                                                         */
; /***************************************************************************/
;                       
; 
;    else if (bufptr[0] == EOT)          /* Check if it is end of the packet */
	movw R30,R22
	ldd R24,z+0
	cpi R24,4
	brne L108
	.dbline 602
;                 
;             packet = end;
	ldi R20,80
	xjmp L109
L108:
	.dbline 605
; 
;    else
;             packet = bad;
	ldi R20,69
L109:
L99:
	.dbline 608
; 
; 
;     return (packet);
	mov R16,R20
	clr R17
	.dbline -2
L97:
	xcall pop_gset3
	.dbline 0 ; func end
	ret
	.dbsym r crc 10 I
	.dbsym r packet 20 c
	.dbsym r bufptr 22 pc
	.dbfunc s respond _respond fI
;         packet -> R16
	.even
_respond::
	.dbline -1
	.dbline 620
;         
; }
; 
; 
; 
; 
; /***************************************************************************/
; /* respond  	                                                         */
; /***************************************************************************/ 
; 
; void respond(unsigned char packet) 
; {
	.dbline 622
;     
;     if ((packet == good) || (packet == end)) 
	cpi R16,5
	breq L113
	cpi R16,80
	brne L118
L113:
	.dbline 623
;     {
L114:
	.dbline 624
L115:
	.dbline 624
;           while(!(UCSR0A & (1 << UDRE0)));
	sbis 0xb,5
	rjmp L114
	.dbline 626
; 
;               UDR0 = ACK;
	ldi R24,6
	out 0xc,R24
	.dbline 629
; 			  
;            
;     }
	xjmp L112
X10:
	.dbline 631
;     else 
;     {
L117:
	.dbline 633
L118:
	.dbline 633
	sbis 0xb,5
	rjmp L117
	.dbline 636
	ldi R24,25
	out 0xc,R24
	.dbline 637
L112:
	.dbline -2
	.dbline 638
; 
;         while(!(UCSR0A & (1 << UDRE0)));
; 
;               
;               UDR0 = NAK;
;     }
; }
L110:
	.dbline 0 ; func end
	ret
	.dbsym r packet 16 c
	.dbfunc s programResetPolarity _programResetPolarity fI
;      byteCount -> R10
;   addressCount -> R14
;   resetAddress -> y+10
; newResetPolarityLevel -> R12
	.even
_programResetPolarity::
	st -y,r19
	st -y,r18
	xcall push_gset5
	mov R12,R16
	.dbline -1
	.dbline 658
; 
; 
; 
; /***************************************************************************/
; /* ProgramResetPolarity                                                    */
; /*							                                 */
; /* Address location 0x20000H through 0x20003H are to program               */
; /* reset polarity level of the AT17C/LV010 EEPROM.   	         	         */
; /*												   */
; /* 0x00 => Active HIGH Reset and Active LOW Output Enable			   */
; /* 0xFF => Active LOW Reset and Active HIGH Output Enable			   */
; /*												   */
; /* So, the memory location values determine the Reset Polarity.  After	   */
; /* programming the 20 ms timeout method is used to determine the end of    */
; /* the internal programming cycle.                                         */
; /***************************************************************************/
; 
; void programResetPolarity(unsigned char newResetPolarityLevel, 
; unsigned long resetAddress)
; {
	.dbline 663
;         unsigned char byteCount;
;         unsigned char addressCount;
; 
;         /* Send START Condition */
;         START_CONDITION();
	ldi R24,36
	out 0x36,R24
L121:
	.dbline 664
L122:
	.dbline 664
;         WAIT();
	in R2,0x36
	sbrs R2,7
	rjmp L121
	.dbline 666
; 
;         if (TWSR == START)
	in R24,0x1d
	cpi R24,8
	breq X11
	xjmp L124
X11:
	.dbline 667
;         {
	.dbline 669
;                 /* Send Device Address */
;                 SEND_BYTE(AT17LV010 & ~(WRITE));
	ldi R24,166
	out 0x1f,R24
	.dbline 670
;                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L126:
	.dbline 671
L127:
	.dbline 671
;                 WAIT();
	in R2,0x36
	sbrs R2,7
	rjmp L126
	.dbline 674
; 
;                 /* Send Memory Address */
;                 for(addressCount = 0; addressCount < A_BYTE; addressCount++)
	clr R14
	xjmp L132
L129:
	.dbline 675
;                 {
	.dbline 676
;                         if( (TWSR == MT_SLA_ACK) || (TWSR == MT_DATA_ACK) )
	in R24,0x1d
	cpi R24,24
	breq L135
	in R24,0x1d
	cpi R24,40
	brne L133
L135:
	.dbline 678
;     
;                     {
	.dbline 679
;     SEND_BYTE((unsigned char)(resetAddress >> (((A_BYTE - 1) - addressCount) 
	mov R2,R14
	clr R3
	ldi R24,2
	ldi R25,0
	sub R24,R2
	sbc R25,R3
	lsl R24
	rol R25
	lsl R24
	rol R25
	lsl R24
	rol R25
	movw R30,R28
	ldd R2,z+10
	ldd R3,z+11
	ldd R4,z+12
	ldd R5,z+13
	st -y,R24
	movw R16,R2
	movw R18,R4
	xcall lsr32
	movw R2,R16
	movw R4,R18
	ldi R16,<L136
	ldi R17,>L136
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	out 0x1f,R2
	.dbline 682
;                  * 8 )& 0x000000FF));
; 
;                         CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L137:
	.dbline 683
L138:
	.dbline 683
;                         WAIT();
	in R2,0x36
	sbrs R2,7
	rjmp L137
	.dbline 684
;                         }
L133:
	.dbline 685
L130:
	.dbline 674
	inc R14
L132:
	.dbline 674
	mov R24,R14
	cpi R24,3
	brlo L129
	.dbline 688
;                 }
; 
;                 /* Program Reset Polarity */
;                 for(byteCount = 0; byteCount < R_BYTE; byteCount++)
	clr R10
	xjmp L143
L140:
	.dbline 689
;                 {
	.dbline 690
;                         if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	brne L144
	.dbline 691
;                         {
	.dbline 692
;                                 if(newResetPolarityLevel == LOW)
	tst R12
	brne L146
	.dbline 693
;                                         SEND_BYTE(0xFF);
	ldi R24,255
	out 0x1f,R24
	xjmp L147
L146:
	.dbline 694
;                                 else SEND_BYTE(0x00);
	clr R2
	out 0x1f,R2
L147:
	.dbline 696
; 
;                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L148:
	.dbline 697
L149:
	.dbline 697
;                                 WAIT();
	in R2,0x36
	sbrs R2,7
	rjmp L148
	.dbline 698
;                         }
L144:
	.dbline 699
L141:
	.dbline 688
	inc R10
L143:
	.dbline 688
	mov R24,R10
	cpi R24,4
	brlo L140
	.dbline 702
;                 }
; 
;                 /* Send STOP Condition */
;                 if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	brne L151
	.dbline 703
;                 {
	.dbline 704
;                         STOP_CONDITION();
	ldi R24,148
	out 0x36,R24
	.dbline 713
; 
;                         /* Configurator Timeout -> 20 ms
;                          * 4 MHz / 1024 = 3906.25 Hz
;                          * 3906.25 Hz = 256 us
;                          * 20 ms / 256 us = 78.125
;                          * 65536 - 78.125 = 65457.875 = 0xFFB1
;                          * Interrupt on 0xFFFF to 0x0000 Transition */
; 
;                         TCNT1H = 0xFF;
	ldi R24,255
	out 0x2d,R24
	.dbline 714
;                         TCNT1L = 0xB1;
	ldi R24,177
	out 0x2c,R24
	.dbline 715
;                         TCCR1B = 0x05;
	ldi R24,5
	out 0x2e,R24
L153:
	.dbline 717
L154:
	.dbline 717
;                    
;                         while(!(TIFR & (1 << TOV1)));
	in R2,0x38
	sbrs R2,7
	rjmp L153
	.dbline 718
; 						TCCR1B = 0x00;
	clr R2
	out 0x2e,R2
	.dbline 719
; 						TIFR |= (1 << TOV1);
	in R24,0x38
	ori R24,128
	out 0x38,R24
	.dbline 720
;                 }
L151:
	.dbline 721
L124:
	.dbline -2
	.dbline 722
;         }
; }
L120:
	xcall pop_gset5
	adiw R28,2
	.dbline 0 ; func end
	ret
	.dbsym r byteCount 10 c
	.dbsym r addressCount 14 c
	.dbsym l resetAddress 10 l
	.dbsym r newResetPolarityLevel 12 c
	.dbfunc s readPage _readPage fI
;      byteCount -> R12
;   addressCount -> R12
;    pageAddress -> y+8
;         bufptr -> R10,R11
	.even
_readPage::
	st -y,r19
	st -y,r18
	xcall push_gset4
	movw R10,R16
	.dbline -1
	.dbline 737
; 
; 
; 
; /***************************************************************************/
; /* readPage                      							   */
; /*												   */
; /* Read 128 bytes at address into bufptr.  Starts reading at address 0     */
; /* within the page.  Please refer to the Application Note entitled,        */
; /* "Programming Specification for Atmel's AT17 and AT17A Series FPGA       */
; /* Configuration EEPROMs" found at http://www.atmel.com for detailed       */
; /* device address decoding and page address formatting.                    */
; /***************************************************************************/
; 
; void readPage(unsigned char * bufptr, unsigned long pageAddress)
; {
	.dbline 742
;         unsigned char byteCount;
;         unsigned char addressCount;
; 
;         /* Send START Condition */
;         START_CONDITION();
	ldi R24,36
	out 0x36,R24
L157:
	.dbline 743
L158:
	.dbline 743
;         WAIT();
	in R2,0x36
	sbrs R2,7
	rjmp L157
	.dbline 745
; 
;         if (TWSR == START)
	in R24,0x1d
	cpi R24,8
	breq X12
	xjmp L160
X12:
	.dbline 746
;         {
	.dbline 748
;                 /* Send Device Address */
;                 SEND_BYTE(AT17LV010 & ~(WRITE));
	ldi R24,166
	out 0x1f,R24
	.dbline 749
;                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L162:
	.dbline 750
L163:
	.dbline 750
;                 WAIT(); 
	in R2,0x36
	sbrs R2,7
	rjmp L162
	.dbline 753
; 
;                 /* Send Memory Address */
;                 for(addressCount = 0; addressCount < A_BYTE; addressCount++)
	clr R12
	xjmp L168
L165:
	.dbline 754
;                 {
	.dbline 755
;                         if( (TWSR == MT_SLA_ACK) || (TWSR == MT_DATA_ACK) )
	in R24,0x1d
	cpi R24,24
	breq L171
	in R24,0x1d
	cpi R24,40
	brne L169
L171:
	.dbline 756
;                         {
	.dbline 757
;    SEND_BYTE((unsigned char)(pageAddress >> ((( A_BYTE - 1) - addressCount) 
	mov R2,R12
	clr R3
	ldi R24,2
	ldi R25,0
	sub R24,R2
	sbc R25,R3
	lsl R24
	rol R25
	lsl R24
	rol R25
	lsl R24
	rol R25
	movw R30,R28
	ldd R2,z+8
	ldd R3,z+9
	ldd R4,z+10
	ldd R5,z+11
	st -y,R24
	movw R16,R2
	movw R18,R4
	xcall lsr32
	movw R2,R16
	movw R4,R18
	ldi R16,<L136
	ldi R17,>L136
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	out 0x1f,R2
	.dbline 760
;               * 8 ) & 0x000000FF));
;                       
; 					   CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L172:
	.dbline 761
L173:
	.dbline 761
;                        WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L172
	.dbline 762
;                         }
L169:
	.dbline 763
L166:
	.dbline 753
	inc R12
L168:
	.dbline 753
	mov R24,R12
	cpi R24,3
	brlo L165
	.dbline 765
;                 }
; 
;                 if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	breq X13
	xjmp L175
X13:
	.dbline 766
;                 {
	.dbline 768
;                         /* Send START Condition */
;                         REP_START_CONDITION();
	ldi R24,164
	out 0x36,R24
L177:
	.dbline 769
L178:
	.dbline 769
;                         WAIT();  
	in R2,0x36
	sbrs R2,7
	rjmp L177
	.dbline 771
; 
;                         if (TWSR == REP_START)
	in R24,0x1d
	cpi R24,16
	breq X14
	xjmp L180
X14:
	.dbline 772
;                         {
	.dbline 774
;                                 /* Send Device Address */
;                                 SEND_BYTE(AT17LV010 | READ);
	ldi R24,167
	out 0x1f,R24
	.dbline 775
;                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L182:
	.dbline 776
L183:
	.dbline 776
;                                 WAIT();  
	in R2,0x36
	sbrs R2,7
	rjmp L182
	.dbline 778
; 
;                                 if(TWSR == MR_SLA_ACK)
	in R24,0x1d
	cpi R24,64
	breq X15
	xjmp L185
X15:
	.dbline 779
;                                 {
	.dbline 780
;                                         SEND_ACK();
	ldi R24,196
	out 0x36,R24
L187:
	.dbline 781
L188:
	.dbline 781
;                                         WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L187
	.dbline 784
; 
;                                         /* Receive Data */
;                                 for(byteCount = 0; byteCount < (T_BYTE - 2); 
	clr R12
	xjmp L193
L190:
	.dbline 786
; 								byteCount++)
;                                         {
	.dbline 787
;                                                 if(TWSR == MR_DATA_ACK)
	in R24,0x1d
	cpi R24,80
	brne L194
	.dbline 788
;                                                 {
	.dbline 789
;                                                    GET_BYTE(bufptr[byteCount]);
	mov R30,R12
	clr R31
	add R30,R10
	adc R31,R11
	in R2,0x1f
	std z+0,R2
	.dbline 790
;                                                         SEND_ACK();
	ldi R24,196
	out 0x36,R24
L196:
	.dbline 791
L197:
	.dbline 791
;                                                         WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L196
	.dbline 792
;                                                 }
L194:
	.dbline 793
L191:
	.dbline 785
	inc R12
L193:
	.dbline 784
	mov R24,R12
	cpi R24,126
	brlo L190
	.dbline 796
;                                         }
; 
;                           /* Receive Last 2 Bytes and Send STOP Condition */
;                                         if(TWSR == MR_DATA_ACK)
	in R24,0x1d
	cpi R24,80
	brne L199
	.dbline 797
;                                         {
	.dbline 798
;                                                 GET_BYTE(bufptr[T_BYTE - 2]);
	in R2,0x1f
	movw R30,R10
	subi R30,130  ; addi 126
	sbci R31,255
	std z+0,R2
	.dbline 799
;                                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L201:
	.dbline 800
L202:
	.dbline 800
;                                                 WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L201
	.dbline 801
;                                                 if(TWSR == MR_DATA_NACK)
	in R24,0x1d
	cpi R24,88
	brne L204
	.dbline 802
;                                                 {
	.dbline 803
;                                                   GET_BYTE(bufptr[T_BYTE - 1]);
	in R2,0x1f
	movw R30,R10
	subi R30,129  ; addi 127
	sbci R31,255
	std z+0,R2
	.dbline 805
; 
;                                                         STOP_CONDITION();
	ldi R24,148
	out 0x36,R24
	.dbline 806
;                                                 }
L204:
	.dbline 807
;                                         }
L199:
	.dbline 808
;                                 }
L185:
	.dbline 809
;                         }
L180:
	.dbline 810
;                 }
L175:
	.dbline 811
L160:
	.dbline -2
	.dbline 812
;         }
; }
L156:
	xcall pop_gset4
	adiw R28,2
	.dbline 0 ; func end
	ret
	.dbsym r byteCount 12 c
	.dbsym r addressCount 12 c
	.dbsym l pageAddress 8 l
	.dbsym r bufptr 10 pc
	.dbfunc s writePage _writePage fI
;   addressCount -> R14
;      byteCount -> R10
;    pageAddress -> y+10
;         bufptr -> R12,R13
	.even
_writePage::
	st -y,r19
	st -y,r18
	xcall push_gset5
	movw R12,R16
	.dbline -1
	.dbline 829
; 
; 
; /***************************************************************************/
; /* writePage										   */
; /*												   */
; /* Writes 128 bytes at address from bufptr.  Starts writing at address 0   */
; /* within the page.  Please refer to the Application Note entitled,        */
; /* "Programming Specification for Atmel's AT17 and AT17A Series FPGA       */
; /* Configuration EEPROMs" found at http://www.atmel.com for detailed       */
; /* device address decoding and page address formatting.                    */
; /* 												   */
; /* After programming the 20 ms timeout method is used to determine         */
; /* the end of the internal programming cycle.    				   */
; /***************************************************************************/
; 
; void writePage(unsigned char * bufptr, unsigned long pageAddress)
; {
	.dbline 834
;         unsigned char byteCount;
;         unsigned char addressCount;
; 
;         /* Send START Condition */
;         START_CONDITION();
	ldi R24,36
	out 0x36,R24
L207:
	.dbline 835
L208:
	.dbline 835
;         WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L207
	.dbline 836
;         if (TWSR == START)
	in R24,0x1d
	cpi R24,8
	breq X16
	xjmp L210
X16:
	.dbline 837
;         {
	.dbline 839
;                 /* Send Device Address */
;                 SEND_BYTE(AT17LV010 & ~(WRITE));
	ldi R24,166
	out 0x1f,R24
	.dbline 840
;                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L212:
	.dbline 841
L213:
	.dbline 841
;                 WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L212
	.dbline 843
;                 /* Send Memory Address */
;                 for(addressCount = 0; addressCount < A_BYTE; addressCount++)
	clr R14
	xjmp L218
L215:
	.dbline 844
;                 {
	.dbline 845
;                         if( (TWSR == MT_SLA_ACK) || (TWSR == MT_DATA_ACK) )
	in R24,0x1d
	cpi R24,24
	breq L221
	in R24,0x1d
	cpi R24,40
	brne L219
L221:
	.dbline 846
;                         {
	.dbline 847
; SEND_BYTE((unsigned char)(pageAddress >> (((A_BYTE - 1) - addressCount) * 8)
	mov R2,R14
	clr R3
	ldi R24,2
	ldi R25,0
	sub R24,R2
	sbc R25,R3
	lsl R24
	rol R25
	lsl R24
	rol R25
	lsl R24
	rol R25
	movw R30,R28
	ldd R2,z+10
	ldd R3,z+11
	ldd R4,z+12
	ldd R5,z+13
	st -y,R24
	movw R16,R2
	movw R18,R4
	xcall lsr32
	movw R2,R16
	movw R4,R18
	ldi R16,<L136
	ldi R17,>L136
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	out 0x1f,R2
	.dbline 849
;            & 0x000000FF));
;                         CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L222:
	.dbline 850
L223:
	.dbline 850
;                         WAIT();                           }
	in R2,0x36
	sbrs R2,7
	rjmp L222
	.dbline 850
L219:
	.dbline 851
L216:
	.dbline 843
	inc R14
L218:
	.dbline 843
	mov R24,R14
	cpi R24,3
	brlo L215
	.dbline 854
;                 }
; 
;                 /* Send Data */
;                 for(byteCount = 0; byteCount < T_BYTE; byteCount++)
	clr R10
	xjmp L228
L225:
	.dbline 855
;                 {
	.dbline 856
;                         if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	brne L229
	.dbline 857
;                         {
	.dbline 858
;                                 SEND_BYTE(bufptr[byteCount]);
	mov R30,R10
	clr R31
	add R30,R12
	adc R31,R13
	ldd R2,z+0
	out 0x1f,R2
	.dbline 859
;                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L231:
	.dbline 860
L232:
	.dbline 860
;                                 WAIT();                           }
	in R2,0x36
	sbrs R2,7
	rjmp L231
	.dbline 860
L229:
	.dbline 861
L226:
	.dbline 854
	inc R10
L228:
	.dbline 854
	mov R24,R10
	cpi R24,128
	brlo L225
	.dbline 864
;                 }
; 
;                 /* Send STOP Condition */
;                 if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	brne L234
	.dbline 865
;                 {
	.dbline 866
;                         STOP_CONDITION();
	ldi R24,148
	out 0x36,R24
	.dbline 876
; 
; 
;                         /* Configurator Timeout -> 20 ms
;                          * 4 MHz / 1024 = 3906.25 Hz
;                          * 3906.25 Hz = 256 us
;                          * 20 ms / 256 us = 78.125
;                          * 65536 - 78.125 = 65457.875 = 0xFFB1
;                          * Interrupt on 0xFFFF to 0x0000 Transition */
; 
;                         TCNT1H = 0xFF;
	ldi R24,255
	out 0x2d,R24
	.dbline 877
;                         TCNT1L = 0xB1;
	ldi R24,177
	out 0x2c,R24
	.dbline 878
;                         TCCR1B = 0x05;
	ldi R24,5
	out 0x2e,R24
	.dbline 887
; 						
; 					 /* The following delay is needed when */
; 					/* you continuesly program each page  */
; 					/* without 20ms delay                 */	
; 						
;                     //    while(!(TIFR & (1 << TOV1)));
; 					//	TCCR1B = 0x00;
; 					//	TIFR |= (1 << TOV1);
;                 }
L234:
	.dbline 888
L210:
	.dbline -2
	.dbline 889
;         }
; }
L206:
	xcall pop_gset5
	adiw R28,2
	.dbline 0 ; func end
	ret
	.dbsym r addressCount 14 c
	.dbsym r byteCount 10 c
	.dbsym l pageAddress 10 l
	.dbsym r bufptr 12 pc
	.dbfunc s verifyResetPolarity _verifyResetPolarity fI
;       polarity -> R10
;   addressCount -> R12
;  resetPolarity -> y+0
;      byteCount -> R12
;   resetAddress -> y+12
	.even
_verifyResetPolarity::
	xcall push_arg4
	xcall push_gset4
	sbiw R28,4
	.dbline -1
	.dbline 907
; 
; 
; /***************************************************************************/
; /* verifyResetPolarity									   */
; /*												   */
; /* 4 bytes are read from locations 0x20000 through 0x20003.  The 		   */
; /* bytes are verified to be of all the same value.  If the are then        */
; /* the value is returned.								   */
; /*												   */
; /* Returned Value 0x00 => Active HIGH Reset and Active LOW Output Enable   */
; /* Returned Value 0xFF => Active LOW Reset and Active HIGH Output Enable   */
; /*												   */
; /* If they are not the same then 0xAA is returned to signal an		   */
; /* ERROR condition.									   */
; /***************************************************************************/
; 
; unsigned char verifyResetPolarity(unsigned long resetAddress)
; {
	.dbline 911
;         unsigned char byteCount;
;         unsigned char addressCount;
;         unsigned char resetPolarity[R_BYTE];
;         unsigned char polarity = 0xAA;
	ldi R24,170
	mov R10,R24
	.dbline 914
; 
;         /* Send START Condition */
;         START_CONDITION();
	ldi R24,36
	out 0x36,R24
L237:
	.dbline 915
L238:
	.dbline 915
;         WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L237
	.dbline 917
; 
;         if (TWSR == START)
	in R24,0x1d
	cpi R24,8
	breq X17
	xjmp L240
X17:
	.dbline 918
;         {
	.dbline 920
;                 /* Send Device Address */
;                 SEND_BYTE(AT17LV010 & ~(WRITE));
	ldi R24,166
	out 0x1f,R24
	.dbline 921
;                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L242:
	.dbline 922
L243:
	.dbline 922
;                 WAIT();  
	in R2,0x36
	sbrs R2,7
	rjmp L242
	.dbline 924
;                 /* Send Memory Address */
;                 for(addressCount = 0; addressCount < A_BYTE; addressCount++)
	clr R12
	xjmp L248
L245:
	.dbline 925
;                 {
	.dbline 926
;                         if( (TWSR == MT_SLA_ACK) || (TWSR == MT_DATA_ACK) )
	in R24,0x1d
	cpi R24,24
	breq L251
	in R24,0x1d
	cpi R24,40
	brne L249
L251:
	.dbline 927
;                         {
	.dbline 928
;   SEND_BYTE( (unsigned char)(resetAddress >> ( ((A_BYTE - 1) - addressCount) 
	mov R2,R12
	clr R3
	ldi R24,2
	ldi R25,0
	sub R24,R2
	sbc R25,R3
	lsl R24
	rol R25
	lsl R24
	rol R25
	lsl R24
	rol R25
	movw R30,R28
	ldd R2,z+12
	ldd R3,z+13
	ldd R4,z+14
	ldd R5,z+15
	st -y,R24
	movw R16,R2
	movw R18,R4
	xcall lsr32
	movw R2,R16
	movw R4,R18
	ldi R16,<L136
	ldi R17,>L136
	xcall lpm32
	and R2,R16
	and R3,R17
	and R4,R18
	and R5,R19
	out 0x1f,R2
	.dbline 930
;               * 8 ) & 0x000000FF));
;                     CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L252:
	.dbline 931
L253:
	.dbline 931
;                     WAIT();                           }
	in R2,0x36
	sbrs R2,7
	rjmp L252
	.dbline 931
L249:
	.dbline 932
L246:
	.dbline 924
	inc R12
L248:
	.dbline 924
	mov R24,R12
	cpi R24,3
	brlo L245
	.dbline 934
;                 }
; 
;                 if(TWSR == MT_DATA_ACK)
	in R24,0x1d
	cpi R24,40
	breq X18
	xjmp L255
X18:
	.dbline 935
;                 {
	.dbline 937
;                         /* Send Repeat START Condition */
;                         REP_START_CONDITION();
	ldi R24,164
	out 0x36,R24
L257:
	.dbline 938
L258:
	.dbline 938
;                         WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L257
	.dbline 939
;                         if (TWSR == REP_START)
	in R24,0x1d
	cpi R24,16
	brne L260
	.dbline 940
;                         {
	.dbline 942
;                                 /* Send Device Address */
;                                 SEND_BYTE(AT17LV010 | READ);
	ldi R24,167
	out 0x1f,R24
	.dbline 943
;                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L262:
	.dbline 944
L263:
	.dbline 944
;                                 WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L262
	.dbline 946
; 
;                                 if(TWSR == MR_SLA_ACK)
	in R24,0x1d
	cpi R24,64
	brne L265
	.dbline 947
;                                 {
	.dbline 948
;                                         SEND_ACK();
	ldi R24,196
	out 0x36,R24
L267:
	.dbline 949
L268:
	.dbline 949
;                                         WAIT();  
	in R2,0x36
	sbrs R2,7
	rjmp L267
	.dbline 951
;                                         /* Receive Data */
;                     for(byteCount = 0; byteCount < (R_BYTE - 2); byteCount++)
	clr R12
	xjmp L273
L270:
	.dbline 952
;                                         {
	.dbline 953
;                                                 if(TWSR == MR_DATA_ACK)
	in R24,0x1d
	cpi R24,80
	brne L274
	.dbline 954
;                                                 {
	.dbline 955
;                                             GET_BYTE(resetPolarity[byteCount]);
	movw R24,R28
	mov R30,R12
	clr R31
	add R30,R24
	adc R31,R25
	in R2,0x1f
	std z+0,R2
	.dbline 956
;                                                         SEND_ACK();
	ldi R24,196
	out 0x36,R24
L276:
	.dbline 957
L277:
	.dbline 957
;                                                         WAIT();             }
	in R2,0x36
	sbrs R2,7
	rjmp L276
	.dbline 957
L274:
	.dbline 958
L271:
	.dbline 951
	inc R12
L273:
	.dbline 951
	mov R24,R12
	cpi R24,2
	brlo L270
	.dbline 962
;                                         }
; 										
; 										
; 	               /* Receive Last 2 Bytes and Send STOP Condition */
;                                         if(TWSR == MR_DATA_ACK)
	in R24,0x1d
	cpi R24,80
	brne L279
	.dbline 963
;                                         {
	.dbline 964
;                                           GET_BYTE(resetPolarity[R_BYTE - 2]);
	in R2,0x1f
	std y+2,R2
	.dbline 965
;                                                 CLEAR_TWINT();
	ldi R24,132
	out 0x36,R24
L282:
	.dbline 966
L283:
	.dbline 966
;                                                 WAIT();   
	in R2,0x36
	sbrs R2,7
	rjmp L282
	.dbline 967
;                                                 if(TWSR == MR_DATA_NACK)
	in R24,0x1d
	cpi R24,88
	brne L285
	.dbline 968
;                                                 {
	.dbline 969
;                                           GET_BYTE(resetPolarity[R_BYTE - 1]);
	in R2,0x1f
	std y+3,R2
	.dbline 970
;                                                         STOP_CONDITION();
	ldi R24,148
	out 0x36,R24
	.dbline 971
;                                                 }
L285:
	.dbline 972
;                                         }
L279:
	.dbline 973
;                                 }
L265:
	.dbline 974
;                         }
L260:
	.dbline 975
;                 }
L255:
	.dbline 976
;         }
L240:
	.dbline 979
; 
;         /* Compare Received Reset Polarity */
;         for(byteCount = 0; byteCount < (R_BYTE - 1); byteCount++)
	clr R12
	xjmp L291
L288:
	.dbline 980
;         {
	.dbline 981
;                 if(resetPolarity[byteCount] == resetPolarity[byteCount + 1])
	movw R24,R28
	adiw R24,1
	mov R30,R12
	clr R31
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	movw R24,R28
	mov R30,R12
	clr R31
	add R30,R24
	adc R31,R25
	ldd R3,z+0
	cp R3,R2
	brne L292
	.dbline 982
;                         polarity = (resetPolarity[byteCount]);
	movw R24,R28
	mov R30,R12
	clr R31
	add R30,R24
	adc R31,R25
	ldd R10,z+0
	xjmp L293
L292:
	.dbline 983
;                 else polarity = 0xAA;
	ldi R24,170
	mov R10,R24
L293:
	.dbline 984
L289:
	.dbline 979
	inc R12
L291:
	.dbline 979
	mov R24,R12
	cpi R24,3
	brlo L288
	.dbline 986
;         }
; 
;         return (polarity);
	mov R16,R10
	clr R17
	.dbline -2
L236:
	adiw R28,4
	xcall pop_gset4
	adiw R28,4
	.dbline 0 ; func end
	ret
	.dbsym r polarity 10 c
	.dbsym r addressCount 12 c
	.dbsym l resetPolarity 0 A[4:4]c
	.dbsym r byteCount 12 c
	.dbsym l resetAddress 12 l
	.area lit(rom, con, rel)
L136:
	.word 255,0
L72:
	.word 1,0
L44:
	.word 65408,1
L42:
	.word 0,0
L3:
	.word 0,2
