-- 
-- VHDL Netlist
-- 
-- Design : scrolling_2
-- Program : Figaro
-- Version : Atmel 7.2 (patch level 3 applied)
-- Vendor : Atmel
-- Created : August 14, 2001 at : 3:20:43 am

library IEEE;
use IEEE.STD_LOGIC_1164.all;

use IEEE.VITAL_timing.all;

library AT94K;
--library user94k;
use AT94K.VCOMPONENTS.all;

entity display is
    generic ( 
      tipd_CLK : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_load_3 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_load_2 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_load_1 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_load_0 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_IO_WRITE : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_6 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_5 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_4 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_3 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_2 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_1 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns);
      tipd_d_0 : VitalDelayType01Z := (0 ns, 0 ns, 0 ns, 0 ns, 0 ns, 0 ns)
    );
    port ( 
      CLK : in STD_LOGIC := 'X';
      load : in STD_LOGIC_VECTOR(3 downto 0) := "XXXX";
      IO_WRITE : in STD_LOGIC := 'X';
      d : in STD_LOGIC_VECTOR(6 downto 0) := "XXXXXXX";
      cathode : out STD_LOGIC_VECTOR(3 downto 0);
      segment_led1 : out STD_LOGIC_VECTOR(14 downto 0);
      segment_led0 : out STD_LOGIC_VECTOR(14 downto 0)
    );
end ;

architecture figaro_implementation of display is 
  component rom7x15
    port ( 
      ADDRESS0 : in STD_LOGIC := 'X';
      ADDRESS1 : in STD_LOGIC := 'X';
      ADDRESS2 : in STD_LOGIC := 'X';
      ADDRESS3 : in STD_LOGIC := 'X';
      ADDRESS4 : in STD_LOGIC := 'X';
      ADDRESS5 : in STD_LOGIC := 'X';
      ADDRESS6 : in STD_LOGIC := 'X';
      Q0 : out STD_LOGIC;
      Q1 : out STD_LOGIC;
      Q2 : out STD_LOGIC;
      Q3 : out STD_LOGIC;
      Q4 : out STD_LOGIC;
      Q5 : out STD_LOGIC;
      Q6 : out STD_LOGIC;
      Q7 : out STD_LOGIC;
      Q8 : out STD_LOGIC;
      Q9 : out STD_LOGIC;
      Q10 : out STD_LOGIC;
      Q11 : out STD_LOGIC;
      Q12 : out STD_LOGIC;
      Q13 : out STD_LOGIC;
      Q14 : out STD_LOGIC
    );
  end component;

  signal div_seg2: STD_LOGIC_VECTOR(14 downto 0);
  signal SEGMENT_LED1_dup0: STD_LOGIC_VECTOR(14 downto 0);
  signal SEGMENT_LED0_dup0: STD_LOGIC_VECTOR(14 downto 0);
  signal board_LOAD: STD_LOGIC_VECTOR(3 downto 0);
  signal sig_d1: STD_LOGIC_VECTOR(6 downto 0);
  signal board_segment_led1: STD_LOGIC_VECTOR(14 downto 0);
  signal board_cathode: STD_LOGIC_VECTOR(3 downto 0);
  signal sig_q: STD_LOGIC_VECTOR(14 downto 0);
  signal a: STD_LOGIC_VECTOR(2 downto 0);
  signal div_seg1: STD_LOGIC_VECTOR(14 downto 0);
  signal board_segment_led0: STD_LOGIC_VECTOR(14 downto 0);
  signal sig_d0: STD_LOGIC_VECTOR(6 downto 0);
  signal sig_d3: STD_LOGIC_VECTOR(6 downto 0);
  signal sig_address: STD_LOGIC_VECTOR(6 downto 0);
  signal div_seg0: STD_LOGIC_VECTOR(14 downto 0);
  signal div_seg3: STD_LOGIC_VECTOR(14 downto 0);
  signal board_D: STD_LOGIC_VECTOR(6 downto 0);
  signal sig_d2: STD_LOGIC_VECTOR(6 downto 0);
  signal fig1606: STD_LOGIC;
  signal fig1608: STD_LOGIC;
  signal fig1609: STD_LOGIC;
  signal fig1610: STD_LOGIC;
  signal CLK_vhdl0: STD_LOGIC;
  signal fig1607: STD_LOGIC;
  signal fig1611: STD_LOGIC;
  signal fig1614: STD_LOGIC;
  signal fig1617: STD_LOGIC;
  signal nx942: STD_LOGIC;
  signal nx1580: STD_LOGIC;
  signal IO_WRITE_vhdl5: STD_LOGIC;
  signal IO_WRITE_int: STD_LOGIC;
  signal LOAD_1_int: STD_LOGIC;
  signal LOAD_2_int: STD_LOGIC;
  signal LOAD_3_int: STD_LOGIC;
  signal LOAD_0_int: STD_LOGIC;
  signal nx1670: STD_LOGIC;
  signal nx46: STD_LOGIC;
  signal D_0_int: STD_LOGIC;
  signal nx43: STD_LOGIC;
  signal nx1683: STD_LOGIC;
  signal nx44: STD_LOGIC;
  signal nx45: STD_LOGIC;
  signal nx1684: STD_LOGIC;
  signal nx613: STD_LOGIC;
  signal D_1_int: STD_LOGIC;
  signal nx1682: STD_LOGIC;
  signal nx1681: STD_LOGIC;
  signal nx606: STD_LOGIC;
  signal D_2_int: STD_LOGIC;
  signal nx1679: STD_LOGIC;
  signal nx1680: STD_LOGIC;
  signal nx599: STD_LOGIC;
  signal D_3_int: STD_LOGIC;
  signal nx1677: STD_LOGIC;
  signal nx1678: STD_LOGIC;
  signal nx592: STD_LOGIC;
  signal D_4_int: STD_LOGIC;
  signal nx1676: STD_LOGIC;
  signal nx1675: STD_LOGIC;
  signal nx585: STD_LOGIC;
  signal D_5_int: STD_LOGIC;
  signal nx1674: STD_LOGIC;
  signal nx1673: STD_LOGIC;
  signal nx578: STD_LOGIC;
  signal D_6_int: STD_LOGIC;
  signal nx1671: STD_LOGIC;
  signal nx1672: STD_LOGIC;
  signal nx569: STD_LOGIC;
  signal nx716: STD_LOGIC;
  signal nx732: STD_LOGIC;
  signal nx748: STD_LOGIC;
  signal nx764: STD_LOGIC;
  signal nx780: STD_LOGIC;
  signal nx796: STD_LOGIC;
  signal nx812: STD_LOGIC;
  signal nx828: STD_LOGIC;
  signal nx844: STD_LOGIC;
  signal nx860: STD_LOGIC;
  signal nx876: STD_LOGIC;
  signal nx892: STD_LOGIC;
  signal nx908: STD_LOGIC;
  signal nx924: STD_LOGIC;
  signal nx940: STD_LOGIC;
  signal nx1568: STD_LOGIC;
  signal fig1848: STD_LOGIC;
  signal nx241: STD_LOGIC;
  signal fig1856: STD_LOGIC;
  signal nx257: STD_LOGIC;
  signal fig1864: STD_LOGIC;
  signal nx273: STD_LOGIC;
  signal fig1872: STD_LOGIC;
  signal nx289: STD_LOGIC;
  signal fig1880: STD_LOGIC;
  signal nx305: STD_LOGIC;
  signal fig1888: STD_LOGIC;
  signal nx321: STD_LOGIC;
  signal fig1896: STD_LOGIC;
  signal nx337: STD_LOGIC;
  signal fig1904: STD_LOGIC;
  signal nx353: STD_LOGIC;
  signal fig1912: STD_LOGIC;
  signal nx369: STD_LOGIC;
  signal fig1920: STD_LOGIC;
  signal nx385: STD_LOGIC;
  signal fig1928: STD_LOGIC;
  signal nx401: STD_LOGIC;
  signal fig1936: STD_LOGIC;
  signal nx417: STD_LOGIC;
  signal fig1944: STD_LOGIC;
  signal nx433: STD_LOGIC;
  signal fig1952: STD_LOGIC;
  signal nx449: STD_LOGIC;
  signal fig1960: STD_LOGIC;
  signal nx465: STD_LOGIC;
  signal CLK_int: STD_LOGIC;
  signal ipd_CLK: STD_LOGIC; 
  signal ipd_load: STD_LOGIC_VECTOR(3 downto 0);
  signal ipd_IO_WRITE: STD_LOGIC; 
  signal ipd_d: STD_LOGIC_VECTOR(6 downto 0);
  signal one : STD_LOGIC := '1';
  signal zero : STD_LOGIC := '0';
begin
  WIRE_DELAY : block
  begin
    VitalWireDelay ( OutSig => ipd_CLK, InSig => CLK, twire =>  tipd_CLK );
    VitalWireDelay ( OutSig => ipd_load(0), InSig => load(0), twire =>  tipd_load_0 );
    VitalWireDelay ( OutSig => ipd_IO_WRITE, InSig => IO_WRITE, twire =>  tipd_IO_WRITE );
    VitalWireDelay ( OutSig => ipd_load(1), InSig => load(1), twire =>  tipd_load_1 );
    VitalWireDelay ( OutSig => ipd_load(2), InSig => load(2), twire =>  tipd_load_2 );
    VitalWireDelay ( OutSig => ipd_load(3), InSig => load(3), twire =>  tipd_load_3 );
    VitalWireDelay ( OutSig => ipd_d(0), InSig => d(0), twire =>  tipd_d_0 );
    VitalWireDelay ( OutSig => ipd_d(1), InSig => d(1), twire =>  tipd_d_1 );
    VitalWireDelay ( OutSig => ipd_d(2), InSig => d(2), twire =>  tipd_d_2 );
    VitalWireDelay ( OutSig => ipd_d(3), InSig => d(3), twire =>  tipd_d_3 );
    VitalWireDelay ( OutSig => ipd_d(4), InSig => d(4), twire =>  tipd_d_4 );
    VitalWireDelay ( OutSig => ipd_d(5), InSig => d(5), twire =>  tipd_d_5 );
    VitalWireDelay ( OutSig => ipd_d(6), InSig => d(6), twire =>  tipd_d_6 );
  end block;
  INPUT_ASSIGNMENTS : block
  begin
    CLK_vhdl0 <= ipd_CLK;
    IO_WRITE_vhdl5 <= ipd_IO_WRITE;
    board_LOAD(1) <= ipd_load(1);
    board_LOAD(2) <= ipd_load(2);
    board_LOAD(3) <= ipd_load(3);
    board_LOAD(0) <= ipd_load(0);
    board_D(0) <= ipd_d(0);
    board_D(1) <= ipd_d(1);
    board_D(2) <= ipd_d(2);
    board_D(3) <= ipd_d(3);
    board_D(4) <= ipd_d(4);
    board_D(5) <= ipd_d(5);
    board_D(6) <= ipd_d(6);
  end block;
  reg_CATHODE_0 : PLUTR1 port map ( X => fig1606, Y => fig1608, Z => fig1609, W => fig1610, CLK => CLK_int, G => fig1606, H => fig1607, RS => one,
    G10 => zero ,G13 => one ,G5 => zero ,CLOCKEDGE => one ,G2 => zero ,RSPOLARITY => zero ,G7 => one ,G12 => zero ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => zero ,G14 => zero ,G3 => zero ,RSFUNCTION => zero ,G8 => zero ,G0 => zero  ) ;
  reg_CATHODE_1 : PLUTR1 port map ( X => fig1608, Y => fig1609, Z => fig1610, W => fig1606, CLK => CLK_int, G => fig1608, H => fig1611, RS => one,
    G10 => one ,G13 => one ,G5 => one ,CLOCKEDGE => one ,G2 => one ,RSPOLARITY => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => zero ,G3 => one ,RSFUNCTION => zero ,G8 => one ,G0 => one  ) ;
  ix1737 : PLUT1 port map ( X => fig1608, Y => fig1606, G => a(2), W => zero, Z => zero,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  reg_CATHODE_2 : PLUTR1 port map ( X => a(2), Y => fig1609, Z => fig1610, CLK => CLK_int, G => fig1609, H => fig1614, RS => one, W => zero,
    G10 => one ,G13 => one ,G5 => one ,CLOCKEDGE => one ,G2 => one ,RSPOLARITY => zero ,G7 => one ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => zero ,G3 => one ,RSFUNCTION => zero ,G8 => one ,G0 => one  ) ;
  ix1739 : PLUT1 port map ( X => fig1609, Y => fig1608, Z => fig1606, G => a(1), W => zero,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  reg_CATHODE_3 : PLUTR1 port map ( X => fig1610, Y => a(1), CLK => CLK_int, G => fig1610, H => fig1617, RS => one, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,CLOCKEDGE => one ,G2 => one ,RSPOLARITY => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => zero ,G14 => zero ,G3 => one ,RSFUNCTION => zero ,G8 => one ,G0 => one  ) ;
  ix1696 : PLUT1 port map ( X => fig1610, Y => fig1609, Z => fig1608, W => fig1606, G => a(0),
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => zero ,G12 => zero ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  ix1734 : PLUT1 port map ( X => a(0), Y => a(1), G => nx942, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1735 : PLUT1 port map ( X => fig1609, Y => fig1608, Z => fig1606, W => fig1610, G => nx1580,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => one ,G0 => one  ) ;
  ix1740 : PLUT1 port map ( X => LOAD_1_int, Y => LOAD_2_int, Z => LOAD_3_int, W => LOAD_0_int, G => nx1670,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => one  ) ;
  ix1695 : PLUT1 port map ( X => IO_WRITE_int, Y => nx1670, G => nx46, W => zero, Z => zero,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => one ,G7 => zero ,G12 => zero ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => zero ,G14 => zero ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_0_E1 : PLUT1 port map ( Z => zero, X => D_0_int, Y => nx46, G => sig_d3(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1692 : PLUT1 port map ( X => LOAD_0_int, Y => IO_WRITE_int, G => nx43, W => zero, Z => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d0_0_E1 : PLUT1 port map ( X => D_0_int, Z => zero, Y => nx43, G => sig_d0(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1753 : PLUT1 port map ( X => sig_d3(0), Y => a(0), Z => sig_d0(0), W => fig1606, G => nx1683,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => zero  ) ;
  ix1693 : PLUT1 port map ( X => LOAD_1_int, Y => LOAD_0_int, Z => IO_WRITE_int, G => nx44, W => zero,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => zero ,G12 => zero ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d1_0_E1 : PLUT1 port map ( Z => zero, X => D_0_int, Y => nx44, G => sig_d1(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1694 : PLUT1 port map ( X => LOAD_2_int, Y => LOAD_1_int, Z => LOAD_0_int, W => IO_WRITE_int, G => nx45,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => zero ,G12 => zero ,G15 => zero ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_0_E1 : PLUT1 port map ( Z => zero, X => D_0_int, Y => nx45, G => sig_d2(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1754 : PLUT1 port map ( X => sig_d1(0), Y => a(2), Z => sig_d2(0), W => a(1), G => nx1684,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  ix1718 : PLUT1 port map ( X => nx1683, Y => nx1684, G => nx613, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_address_0_E1 : PLUT1 port map ( X => nx613, Z => zero, Y => nx1580, G => sig_address(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_1_E1 : PLUT1 port map ( X => D_1_int, Z => zero, Y => nx45, G => sig_d2(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1752 : PLUT1 port map ( X => sig_d2(1), Y => fig1608, Z => fig1606, W => fig1609, G => nx1682,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => zero ,G3 => one ,G8 => one ,G0 => one  ) ;
  lat_sig_d0_1_E1 : PLUT1 port map ( Y => nx43, X => D_1_int, Z => zero, G => sig_d0(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d1_1_E1 : PLUT1 port map ( Y => nx44, X => D_1_int, Z => zero, G => sig_d1(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1751 : PLUT1 port map ( X => fig1606, Y => sig_d0(1), Z => sig_d1(1), W => fig1608, G => nx1681,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_1_E1 : PLUT1 port map ( X => D_1_int, Y => nx46, Z => zero, G => sig_d3(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1717 : PLUT1 port map ( X => nx1682, Y => nx1681, Z => sig_d3(1), W => a(0), G => nx606,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_sig_address_1_E1 : PLUT1 port map ( X => nx606, Y => nx1580, Z => zero, G => sig_address(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_2_E1 : PLUT1 port map ( Z => zero, Y => nx46, X => D_2_int, G => sig_d3(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d0_2_E1 : PLUT1 port map ( X => D_2_int, Z => zero, Y => nx43, G => sig_d0(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1749 : PLUT1 port map ( X => sig_d3(2), Y => a(0), Z => sig_d0(2), W => fig1606, G => nx1679,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => zero  ) ;
  lat_sig_d1_2_E1 : PLUT1 port map ( X => D_2_int, Z => zero, Y => nx44, G => sig_d1(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_2_E1 : PLUT1 port map ( X => D_2_int, Y => nx45, Z => zero, G => sig_d2(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1750 : PLUT1 port map ( X => sig_d1(2), Y => a(2), Z => sig_d2(2), W => a(1), G => nx1680,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  ix1716 : PLUT1 port map ( X => nx1679, Y => nx1680, G => nx599, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_address_2_E1 : PLUT1 port map ( X => nx599, Y => nx1580, Z => zero, G => sig_address(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_3_E1 : PLUT1 port map ( Y => nx46, Z => zero, X => D_3_int, G => sig_d3(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d0_3_E1 : PLUT1 port map ( Y => nx43, Z => zero, X => D_3_int, G => sig_d0(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1747 : PLUT1 port map ( X => sig_d3(3), Y => a(0), Z => sig_d0(3), W => fig1606, G => nx1677,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => zero  ) ;
  lat_sig_d1_3_E1 : PLUT1 port map ( X => D_3_int, Z => zero, Y => nx44, G => sig_d1(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_3_E1 : PLUT1 port map ( Z => zero, X => D_3_int, Y => nx45, G => sig_d2(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1748 : PLUT1 port map ( X => sig_d1(3), Y => a(2), Z => sig_d2(3), W => a(1), G => nx1678,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  ix1715 : PLUT1 port map ( X => nx1677, Y => nx1678, G => nx592, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_address_3_E1 : PLUT1 port map ( Y => nx1580, X => nx592, Z => zero, G => sig_address(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_4_E1 : PLUT1 port map ( X => D_4_int, Y => nx45, Z => zero, G => sig_d2(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1746 : PLUT1 port map ( X => sig_d2(4), Y => fig1608, Z => fig1606, W => fig1609, G => nx1676,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => zero ,G3 => one ,G8 => one ,G0 => one  ) ;
  lat_sig_d0_4_E1 : PLUT1 port map ( Z => zero, X => D_4_int, Y => nx43, G => sig_d0(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d1_4_E1 : PLUT1 port map ( X => D_4_int, Y => nx44, Z => zero, G => sig_d1(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1745 : PLUT1 port map ( X => fig1606, Y => sig_d0(4), Z => sig_d1(4), W => fig1608, G => nx1675,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_4_E1 : PLUT1 port map ( Z => zero, X => D_4_int, Y => nx46, G => sig_d3(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1714 : PLUT1 port map ( X => nx1676, Y => nx1675, Z => sig_d3(4), W => a(0), G => nx585,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_sig_address_4_E1 : PLUT1 port map ( Y => nx1580, X => nx585, Z => zero, G => sig_address(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_5_E1 : PLUT1 port map ( X => D_5_int, Y => nx45, Z => zero, G => sig_d2(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1744 : PLUT1 port map ( X => sig_d2(5), Y => fig1608, Z => fig1606, W => fig1609, G => nx1674,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => zero ,G3 => one ,G8 => one ,G0 => one  ) ;
  lat_sig_d0_5_E1 : PLUT1 port map ( Z => zero, Y => nx43, X => D_5_int, G => sig_d0(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d1_5_E1 : PLUT1 port map ( Z => zero, X => D_5_int, Y => nx44, G => sig_d1(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1743 : PLUT1 port map ( X => fig1606, Y => sig_d0(5), Z => sig_d1(5), W => fig1608, G => nx1673,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_5_E1 : PLUT1 port map ( Z => zero, Y => nx46, X => D_5_int, G => sig_d3(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1713 : PLUT1 port map ( X => nx1674, Y => nx1673, Z => sig_d3(5), W => a(0), G => nx578,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_sig_address_5_E1 : PLUT1 port map ( Z => zero, X => nx578, Y => nx1580, G => sig_address(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d3_6_E1 : PLUT1 port map ( Y => nx46, Z => zero, X => D_6_int, G => sig_d3(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d0_6_E1 : PLUT1 port map ( Y => nx43, X => D_6_int, Z => zero, G => sig_d0(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1741 : PLUT1 port map ( X => sig_d3(6), Y => a(0), Z => sig_d0(6), W => fig1606, G => nx1671,
    G10 => one ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => one ,G15 => one ,G4 => zero ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => one ,G14 => one ,G3 => zero ,G8 => one ,G0 => zero  ) ;
  lat_sig_d1_6_E1 : PLUT1 port map ( Y => nx44, X => D_6_int, Z => zero, G => sig_d1(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_d2_6_E1 : PLUT1 port map ( Z => zero, Y => nx45, X => D_6_int, G => sig_d2(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1742 : PLUT1 port map ( X => sig_d1(6), Y => a(2), Z => sig_d2(6), W => a(1), G => nx1672,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  ix1712 : PLUT1 port map ( X => nx1671, Y => nx1672, G => nx569, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => one ,G12 => one ,G15 => one ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_sig_address_6_E1 : PLUT1 port map ( Y => nx1580, Z => zero, X => nx569, G => sig_address(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  R0 : rom7x15 port map ( ADDRESS0 => sig_address(0), ADDRESS1 => sig_address(1), ADDRESS2 => sig_address(2), ADDRESS3 => sig_address(3), ADDRESS4 => sig_address(4), ADDRESS5 => sig_address(5), ADDRESS6 => sig_address(6), Q0 => sig_q(0), Q1 => sig_q(1), Q2 => sig_q(2), 
    Q3 => sig_q(3), Q4 => sig_q(4), Q5 => sig_q(5), Q6 => sig_q(6), Q7 => sig_q(7), Q8 => sig_q(8), Q9 => sig_q(9), Q10 => sig_q(10), Q11 => sig_q(11), Q12 => sig_q(12), 
    Q13 => sig_q(13), Q14 => sig_q(14) ) ;
  lat_div_seg3_14_E1 : PLUT1 port map ( Z => zero, X => sig_q(14), Y => a(0), G => div_seg3(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_14_E1 : PLUT1 port map ( X => sig_q(14), Z => zero, Y => a(1), G => div_seg2(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1719 : PLUT1 port map ( X => div_seg3(14), Y => a(0), Z => div_seg2(14), W => a(1), G => nx716,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_14_E1 : PLUT1 port map ( Y => nx942, X => nx716, Z => zero, G => SEGMENT_LED1_dup0(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_13_E1 : PLUT1 port map ( X => sig_q(13), Z => zero, Y => a(0), G => div_seg3(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_13_E1 : PLUT1 port map ( X => sig_q(13), Z => zero, Y => a(1), G => div_seg2(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1720 : PLUT1 port map ( X => div_seg3(13), Y => a(0), Z => div_seg2(13), W => a(1), G => nx732,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_13_E1 : PLUT1 port map ( Z => zero, X => nx732, Y => nx942, G => SEGMENT_LED1_dup0(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_12_E1 : PLUT1 port map ( X => sig_q(12), Z => zero, Y => a(0), G => div_seg3(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_12_E1 : PLUT1 port map ( Y => a(1), X => sig_q(12), Z => zero, G => div_seg2(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1721 : PLUT1 port map ( X => div_seg3(12), Y => a(0), Z => div_seg2(12), W => a(1), G => nx748,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_12_E1 : PLUT1 port map ( Z => zero, X => nx748, Y => nx942, G => SEGMENT_LED1_dup0(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_11_E1 : PLUT1 port map ( Y => a(0), X => sig_q(11), Z => zero, G => div_seg3(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_11_E1 : PLUT1 port map ( Y => a(1), X => sig_q(11), Z => zero, G => div_seg2(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1722 : PLUT1 port map ( X => div_seg3(11), Y => a(0), Z => div_seg2(11), W => a(1), G => nx764,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_11_E1 : PLUT1 port map ( Y => nx942, X => nx764, Z => zero, G => SEGMENT_LED1_dup0(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_10_E1 : PLUT1 port map ( Z => zero, X => sig_q(10), Y => a(0), G => div_seg3(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_10_E1 : PLUT1 port map ( X => sig_q(10), Y => a(1), Z => zero, G => div_seg2(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1723 : PLUT1 port map ( X => div_seg3(10), Y => a(0), Z => div_seg2(10), W => a(1), G => nx780,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_10_E1 : PLUT1 port map ( Y => nx942, X => nx780, Z => zero, G => SEGMENT_LED1_dup0(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_9_E1 : PLUT1 port map ( Z => zero, Y => a(0), X => sig_q(9), G => div_seg3(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_9_E1 : PLUT1 port map ( X => sig_q(9), Y => a(1), Z => zero, G => div_seg2(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1724 : PLUT1 port map ( X => div_seg3(9), Y => a(0), Z => div_seg2(9), W => a(1), G => nx796,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_9_E1 : PLUT1 port map ( X => nx796, Y => nx942, Z => zero, G => SEGMENT_LED1_dup0(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_8_E1 : PLUT1 port map ( X => sig_q(8), Y => a(0), Z => zero, G => div_seg3(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_8_E1 : PLUT1 port map ( Z => zero, X => sig_q(8), Y => a(1), G => div_seg2(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1725 : PLUT1 port map ( X => div_seg3(8), Y => a(0), Z => div_seg2(8), W => a(1), G => nx812,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_8_E1 : PLUT1 port map ( Z => zero, X => nx812, Y => nx942, G => SEGMENT_LED1_dup0(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_7_E1 : PLUT1 port map ( Z => zero, Y => a(0), X => sig_q(7), G => div_seg3(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_7_E1 : PLUT1 port map ( Z => zero, X => sig_q(7), Y => a(1), G => div_seg2(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1726 : PLUT1 port map ( X => div_seg3(7), Y => a(0), Z => div_seg2(7), W => a(1), G => nx828,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_7_E1 : PLUT1 port map ( Y => nx942, X => nx828, Z => zero, G => SEGMENT_LED1_dup0(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_6_E1 : PLUT1 port map ( X => sig_q(6), Z => zero, Y => a(0), G => div_seg3(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_6_E1 : PLUT1 port map ( Z => zero, X => sig_q(6), Y => a(1), G => div_seg2(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1727 : PLUT1 port map ( X => div_seg3(6), Y => a(0), Z => div_seg2(6), W => a(1), G => nx844,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_6_E1 : PLUT1 port map ( Z => zero, X => nx844, Y => nx942, G => SEGMENT_LED1_dup0(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_5_E1 : PLUT1 port map ( Z => zero, X => sig_q(5), Y => a(0), G => div_seg3(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_5_E1 : PLUT1 port map ( Y => a(1), X => sig_q(5), Z => zero, G => div_seg2(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1728 : PLUT1 port map ( X => div_seg3(5), Y => a(0), Z => div_seg2(5), W => a(1), G => nx860,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_5_E1 : PLUT1 port map ( Y => nx942, X => nx860, Z => zero, G => SEGMENT_LED1_dup0(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_4_E1 : PLUT1 port map ( Y => a(0), Z => zero, X => sig_q(4), G => div_seg3(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_4_E1 : PLUT1 port map ( X => sig_q(4), Y => a(1), Z => zero, G => div_seg2(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1729 : PLUT1 port map ( X => div_seg3(4), Y => a(0), Z => div_seg2(4), W => a(1), G => nx876,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_4_E1 : PLUT1 port map ( Y => nx942, X => nx876, Z => zero, G => SEGMENT_LED1_dup0(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_3_E1 : PLUT1 port map ( Z => zero, Y => a(0), X => sig_q(3), G => div_seg3(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_3_E1 : PLUT1 port map ( Z => zero, Y => a(1), X => sig_q(3), G => div_seg2(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1730 : PLUT1 port map ( X => div_seg3(3), Y => a(0), Z => div_seg2(3), W => a(1), G => nx892,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_3_E1 : PLUT1 port map ( Y => nx942, X => nx892, Z => zero, G => SEGMENT_LED1_dup0(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_2_E1 : PLUT1 port map ( Y => a(0), Z => zero, X => sig_q(2), G => div_seg3(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_2_E1 : PLUT1 port map ( Z => zero, X => sig_q(2), Y => a(1), G => div_seg2(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1731 : PLUT1 port map ( X => div_seg3(2), Y => a(0), Z => div_seg2(2), W => a(1), G => nx908,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_2_E1 : PLUT1 port map ( Z => zero, X => nx908, Y => nx942, G => SEGMENT_LED1_dup0(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_1_E1 : PLUT1 port map ( Z => zero, X => sig_q(1), Y => a(0), G => div_seg3(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_1_E1 : PLUT1 port map ( Z => zero, Y => a(1), X => sig_q(1), G => div_seg2(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1732 : PLUT1 port map ( X => div_seg3(1), Y => a(0), Z => div_seg2(1), W => a(1), G => nx924,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_1_E1 : PLUT1 port map ( Y => nx942, X => nx924, Z => zero, G => SEGMENT_LED1_dup0(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg3_0_E1 : PLUT1 port map ( X => sig_q(0), Z => zero, Y => a(0), G => div_seg3(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg2_0_E1 : PLUT1 port map ( X => sig_q(0), Y => a(1), Z => zero, G => div_seg2(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1733 : PLUT1 port map ( X => div_seg3(0), Y => a(0), Z => div_seg2(0), W => a(1), G => nx940,
    G10 => zero ,G13 => one ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => zero ,FB => zero ,G11 => one ,G6 => one ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED1_0_E1 : PLUT1 port map ( X => nx940, Z => zero, Y => nx942, G => SEGMENT_LED1_dup0(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1738 : PLUT1 port map ( X => fig1608, Y => fig1606, G => nx1568, W => zero, Z => zero,
    G10 => one ,G13 => one ,G5 => one ,G2 => one ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => one ,G6 => zero ,G14 => zero ,G3 => one ,G8 => one ,G0 => one  ) ;
  lat_div_seg0_14_E1 : PLUT1 port map ( X => sig_q(14), Y => fig1848, Z => zero, G => div_seg0(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1847_E1 : PLUT1 port map ( Y => zero, X => fig1606, W => zero, Z => zero, G => fig1848,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_14_E1 : PLUT1 port map ( X => sig_q(14), Y => a(2), Z => zero, G => div_seg1(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1697 : PLUT1 port map ( X => fig1606, Y => div_seg0(14), Z => div_seg1(14), W => fig1608, G => nx241,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_14_E1 : PLUT1 port map ( X => nx241, Y => nx1568, Z => zero, G => SEGMENT_LED0_dup0(14), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_13_E1 : PLUT1 port map ( X => sig_q(13), Y => fig1856, Z => zero, G => div_seg0(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1855_E1 : PLUT1 port map ( W => zero, Z => zero, X => fig1606, Y => zero, G => fig1856,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_13_E1 : PLUT1 port map ( X => sig_q(13), Z => zero, Y => a(2), G => div_seg1(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1698 : PLUT1 port map ( X => fig1606, Y => div_seg0(13), Z => div_seg1(13), W => fig1608, G => nx257,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_13_E1 : PLUT1 port map ( Y => nx1568, Z => zero, X => nx257, G => SEGMENT_LED0_dup0(13), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_12_E1 : PLUT1 port map ( Z => zero, Y => fig1864, X => sig_q(12), G => div_seg0(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1863_E1 : PLUT1 port map ( W => zero, X => fig1606, Y => zero, Z => zero, G => fig1864,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_12_E1 : PLUT1 port map ( X => sig_q(12), Y => a(2), Z => zero, G => div_seg1(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1699 : PLUT1 port map ( X => fig1606, Y => div_seg0(12), Z => div_seg1(12), W => fig1608, G => nx273,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_12_E1 : PLUT1 port map ( Y => nx1568, Z => zero, X => nx273, G => SEGMENT_LED0_dup0(12), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_11_E1 : PLUT1 port map ( Z => zero, Y => fig1872, X => sig_q(11), G => div_seg0(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1871_E1 : PLUT1 port map ( X => fig1606, Y => zero, W => zero, Z => zero, G => fig1872,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_11_E1 : PLUT1 port map ( Z => zero, Y => a(2), X => sig_q(11), G => div_seg1(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1700 : PLUT1 port map ( X => fig1606, Y => div_seg0(11), Z => div_seg1(11), W => fig1608, G => nx289,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_11_E1 : PLUT1 port map ( Z => zero, Y => nx1568, X => nx289, G => SEGMENT_LED0_dup0(11), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_10_E1 : PLUT1 port map ( Z => zero, Y => fig1880, X => sig_q(10), G => div_seg0(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1879_E1 : PLUT1 port map ( Z => zero, W => zero, Y => zero, X => fig1606, G => fig1880,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_10_E1 : PLUT1 port map ( Y => a(2), Z => zero, X => sig_q(10), G => div_seg1(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1701 : PLUT1 port map ( X => fig1606, Y => div_seg0(10), Z => div_seg1(10), W => fig1608, G => nx305,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_10_E1 : PLUT1 port map ( Z => zero, X => nx305, Y => nx1568, G => SEGMENT_LED0_dup0(10), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_9_E1 : PLUT1 port map ( Z => zero, Y => fig1888, X => sig_q(9), G => div_seg0(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1887_E1 : PLUT1 port map ( Y => zero, Z => zero, W => zero, X => fig1606, G => fig1888,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_9_E1 : PLUT1 port map ( Y => a(2), Z => zero, X => sig_q(9), G => div_seg1(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1702 : PLUT1 port map ( X => fig1606, Y => div_seg0(9), Z => div_seg1(9), W => fig1608, G => nx321,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_9_E1 : PLUT1 port map ( X => nx321, Y => nx1568, Z => zero, G => SEGMENT_LED0_dup0(9), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_8_E1 : PLUT1 port map ( Z => zero, Y => fig1896, X => sig_q(8), G => div_seg0(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1895_E1 : PLUT1 port map ( X => fig1606, W => zero, Z => zero, Y => zero, G => fig1896,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_8_E1 : PLUT1 port map ( X => sig_q(8), Y => a(2), Z => zero, G => div_seg1(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1703 : PLUT1 port map ( X => fig1606, Y => div_seg0(8), Z => div_seg1(8), W => fig1608, G => nx337,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_8_E1 : PLUT1 port map ( X => nx337, Y => nx1568, Z => zero, G => SEGMENT_LED0_dup0(8), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_7_E1 : PLUT1 port map ( Z => zero, Y => fig1904, X => sig_q(7), G => div_seg0(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1903_E1 : PLUT1 port map ( Y => zero, W => zero, Z => zero, X => fig1606, G => fig1904,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_7_E1 : PLUT1 port map ( Y => a(2), Z => zero, X => sig_q(7), G => div_seg1(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1704 : PLUT1 port map ( X => fig1606, Y => div_seg0(7), Z => div_seg1(7), W => fig1608, G => nx353,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_7_E1 : PLUT1 port map ( Z => zero, X => nx353, Y => nx1568, G => SEGMENT_LED0_dup0(7), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_6_E1 : PLUT1 port map ( X => sig_q(6), Y => fig1912, Z => zero, G => div_seg0(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1911_E1 : PLUT1 port map ( X => fig1606, Y => zero, Z => zero, W => zero, G => fig1912,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_6_E1 : PLUT1 port map ( X => sig_q(6), Z => zero, Y => a(2), G => div_seg1(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1705 : PLUT1 port map ( X => fig1606, Y => div_seg0(6), Z => div_seg1(6), W => fig1608, G => nx369,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_6_E1 : PLUT1 port map ( Z => zero, X => nx369, Y => nx1568, G => SEGMENT_LED0_dup0(6), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_5_E1 : PLUT1 port map ( X => sig_q(5), Y => fig1920, Z => zero, G => div_seg0(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1919_E1 : PLUT1 port map ( W => zero, Y => zero, X => fig1606, Z => zero, G => fig1920,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_5_E1 : PLUT1 port map ( Y => a(2), Z => zero, X => sig_q(5), G => div_seg1(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1706 : PLUT1 port map ( X => fig1606, Y => div_seg0(5), Z => div_seg1(5), W => fig1608, G => nx385,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_5_E1 : PLUT1 port map ( Y => nx1568, X => nx385, Z => zero, G => SEGMENT_LED0_dup0(5), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_4_E1 : PLUT1 port map ( X => sig_q(4), Y => fig1928, Z => zero, G => div_seg0(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1927_E1 : PLUT1 port map ( Y => zero, Z => zero, X => fig1606, W => zero, G => fig1928,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_4_E1 : PLUT1 port map ( Z => zero, X => sig_q(4), Y => a(2), G => div_seg1(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1707 : PLUT1 port map ( X => fig1606, Y => div_seg0(4), Z => div_seg1(4), W => fig1608, G => nx401,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_4_E1 : PLUT1 port map ( X => nx401, Y => nx1568, Z => zero, G => SEGMENT_LED0_dup0(4), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_3_E1 : PLUT1 port map ( X => sig_q(3), Y => fig1936, Z => zero, G => div_seg0(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1935_E1 : PLUT1 port map ( W => zero, X => fig1606, Z => zero, Y => zero, G => fig1936,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_3_E1 : PLUT1 port map ( Y => a(2), Z => zero, X => sig_q(3), G => div_seg1(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1708 : PLUT1 port map ( X => fig1606, Y => div_seg0(3), Z => div_seg1(3), W => fig1608, G => nx417,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_3_E1 : PLUT1 port map ( Z => zero, X => nx417, Y => nx1568, G => SEGMENT_LED0_dup0(3), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_2_E1 : PLUT1 port map ( Z => zero, Y => fig1944, X => sig_q(2), G => div_seg0(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1943_E1 : PLUT1 port map ( Z => zero, W => zero, X => fig1606, Y => zero, G => fig1944,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_2_E1 : PLUT1 port map ( X => sig_q(2), Y => a(2), Z => zero, G => div_seg1(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1709 : PLUT1 port map ( X => fig1606, Y => div_seg0(2), Z => div_seg1(2), W => fig1608, G => nx433,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_2_E1 : PLUT1 port map ( X => nx433, Z => zero, Y => nx1568, G => SEGMENT_LED0_dup0(2), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_1_E1 : PLUT1 port map ( X => sig_q(1), Y => fig1952, Z => zero, G => div_seg0(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1951_E1 : PLUT1 port map ( W => zero, Z => zero, Y => zero, X => fig1606, G => fig1952,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_1_E1 : PLUT1 port map ( X => sig_q(1), Y => a(2), Z => zero, G => div_seg1(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1710 : PLUT1 port map ( X => fig1606, Y => div_seg0(1), Z => div_seg1(1), W => fig1608, G => nx449,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_1_E1 : PLUT1 port map ( X => nx449, Y => nx1568, Z => zero, G => SEGMENT_LED0_dup0(1), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  lat_div_seg0_0_E1 : PLUT1 port map ( X => sig_q(0), Y => fig1960, Z => zero, G => div_seg0(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  fig1959_E1 : PLUT1 port map ( W => zero, Y => zero, X => fig1606, Z => zero, G => fig1960,
    G10 => zero ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => one ,G1 => one ,FB => zero ,G11 => zero ,G6 => zero ,G14 => zero ,G3 => zero ,G8 => one ,G0 => one  ) ;
  lat_div_seg1_0_E1 : PLUT1 port map ( Z => zero, X => sig_q(0), Y => a(2), G => div_seg1(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  ix1711 : PLUT1 port map ( X => fig1606, Y => div_seg0(0), Z => div_seg1(0), W => fig1608, G => nx465,
    G10 => one ,G13 => one ,G5 => one ,G2 => zero ,G7 => zero ,G12 => one ,G15 => zero ,G4 => one ,G9 => zero ,G1 => zero ,FB => zero ,G11 => zero ,G6 => zero ,G14 => one ,G3 => zero ,G8 => zero ,G0 => zero  ) ;
  lat_SEGMENT_LED0_0_E1 : PLUT1 port map ( Y => nx1568, X => nx465, Z => zero, G => SEGMENT_LED0_dup0(0), W => zero,
    G10 => zero ,G13 => zero ,G5 => zero ,G2 => zero ,G7 => one ,G12 => zero ,G15 => one ,G4 => zero ,G9 => one ,G1 => one ,FB => one ,G11 => one ,G6 => one ,G14 => one ,G3 => one ,G8 => zero ,G0 => zero  ) ;
  SEGMENT_LED1_4_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(4), PAD => board_segment_led1(4) ); 
  SEGMENT_LED1_11_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(11), PAD => board_segment_led1(11) ); 
  SEGMENT_LED1_5_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(5), PAD => board_segment_led1(5) ); 
  SEGMENT_LED1_13_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(13), PAD => board_segment_led1(13) ); 
  SEGMENT_LED1_10_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(10), PAD => board_segment_led1(10) ); 
  CATHODE_3_obuf : OBUF port map ( A => fig1610, PAD => board_cathode(3) ); 
  SEGMENT_LED1_6_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(6), PAD => board_segment_led1(6) ); 
  SEGMENT_LED1_9_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(9), PAD => board_segment_led1(9) ); 
  SEGMENT_LED1_8_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(8), PAD => board_segment_led1(8) ); 
  SEGMENT_LED1_7_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(7), PAD => board_segment_led1(7) ); 
  SEGMENT_LED1_3_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(3), PAD => board_segment_led1(3) ); 
  SEGMENT_LED1_12_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(12), PAD => board_segment_led1(12) ); 
  SEGMENT_LED1_0_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(0), PAD => board_segment_led1(0) ); 
  SEGMENT_LED1_14_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(14), PAD => board_segment_led1(14) ); 
  CATHODE_2_obuf : OBUF port map ( A => fig1609, PAD => board_cathode(2) ); 
  SEGMENT_LED1_2_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(2), PAD => board_segment_led1(2) ); 
  SEGMENT_LED1_1_obuf : OBUF port map ( A => SEGMENT_LED1_dup0(1), PAD => board_segment_led1(1) ); 
  SEGMENT_LED0_4_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(4), PAD => board_segment_led0(4) ); 
  SEGMENT_LED0_5_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(5), PAD => board_segment_led0(5) ); 
  SEGMENT_LED0_13_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(13), PAD => board_segment_led0(13) ); 
  SEGMENT_LED0_11_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(11), PAD => board_segment_led0(11) ); 
  CATHODE_1_obuf : OBUF port map ( A => fig1608, PAD => board_cathode(1) ); 
  SEGMENT_LED0_10_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(10), PAD => board_segment_led0(10) ); 
  SEGMENT_LED0_9_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(9), PAD => board_segment_led0(9) ); 
  SEGMENT_LED0_6_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(6), PAD => board_segment_led0(6) ); 
  SEGMENT_LED0_7_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(7), PAD => board_segment_led0(7) ); 
  SEGMENT_LED0_8_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(8), PAD => board_segment_led0(8) ); 
  SEGMENT_LED0_3_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(3), PAD => board_segment_led0(3) ); 
  SEGMENT_LED0_12_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(12), PAD => board_segment_led0(12) ); 
  SEGMENT_LED0_0_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(0), PAD => board_segment_led0(0) ); 
  SEGMENT_LED0_14_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(14), PAD => board_segment_led0(14) ); 
  CATHODE_0_obuf : OBUF port map ( A => fig1606, PAD => board_cathode(0) ); 
  SEGMENT_LED0_2_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(2), PAD => board_segment_led0(2) ); 
  AVRINT_inst_FIOWEF : IBUF port map ( PAD => IO_WRITE_vhdl5, Q => IO_WRITE_int);
  SYSCLKBUF_inst : GCLKBUF port map ( PAD => CLK_vhdl0, Q => CLK_int);
  AVRINT_inst_IOSELF0 : IBUF port map ( PAD => board_LOAD(0), Q => LOAD_0_int);
  SEGMENT_LED0_1_obuf : OBUF port map ( A => SEGMENT_LED0_dup0(1), PAD => board_segment_led0(1) ); 
  AVRINT_inst_IOSELF1 : IBUF port map ( PAD => board_LOAD(1), Q => LOAD_1_int);
  AVRINT_inst_IOSELF2 : IBUF port map ( PAD => board_LOAD(2), Q => LOAD_2_int);
  AVRINT_inst_IOSELF3 : IBUF port map ( PAD => board_LOAD(3), Q => LOAD_3_int);
  AVRINT_inst_ADINF0 : IBUF port map ( PAD => board_D(0), Q => D_0_int);
  AVRINT_inst_ADINF1 : IBUF port map ( PAD => board_D(1), Q => D_1_int);
  AVRINT_inst_ADINF2 : IBUF port map ( PAD => board_D(2), Q => D_2_int);
  AVRINT_inst_ADINF3 : IBUF port map ( PAD => board_D(3), Q => D_3_int);
  AVRINT_inst_ADINF4 : IBUF port map ( PAD => board_D(4), Q => D_4_int);
  AVRINT_inst_ADINF5 : IBUF port map ( PAD => board_D(5), Q => D_5_int);
  AVRINT_inst_ADINF6 : IBUF port map ( PAD => board_D(6), Q => D_6_int);
  OUTPUT_ASSIGNMENTS : block
  begin
    cathode(3) <= board_cathode(3);
    cathode(2) <= board_cathode(2);
    cathode(1) <= board_cathode(1);
    cathode(0) <= board_cathode(0);
    segment_led1(14) <= board_segment_led1(14);
    segment_led1(13) <= board_segment_led1(13);
    segment_led1(12) <= board_segment_led1(12);
    segment_led1(11) <= board_segment_led1(11);
    segment_led1(10) <= board_segment_led1(10);
    segment_led1(9) <= board_segment_led1(9);
    segment_led1(8) <= board_segment_led1(8);
    segment_led1(7) <= board_segment_led1(7);
    segment_led1(6) <= board_segment_led1(6);
    segment_led1(5) <= board_segment_led1(5);
    segment_led1(4) <= board_segment_led1(4);
    segment_led1(3) <= board_segment_led1(3);
    segment_led1(2) <= board_segment_led1(2);
    segment_led1(1) <= board_segment_led1(1);
    segment_led1(0) <= board_segment_led1(0);
    segment_led0(14) <= board_segment_led0(14);
    segment_led0(13) <= board_segment_led0(13);
    segment_led0(12) <= board_segment_led0(12);
    segment_led0(11) <= board_segment_led0(11);
    segment_led0(10) <= board_segment_led0(10);
    segment_led0(9) <= board_segment_led0(9);
    segment_led0(8) <= board_segment_led0(8);
    segment_led0(7) <= board_segment_led0(7);
    segment_led0(6) <= board_segment_led0(6);
    segment_led0(5) <= board_segment_led0(5);
    segment_led0(4) <= board_segment_led0(4);
    segment_led0(3) <= board_segment_led0(3);
    segment_led0(2) <= board_segment_led0(2);
    segment_led0(1) <= board_segment_led0(1);
    segment_led0(0) <= board_segment_led0(0);
  end block;
end;

