------------------------------------ 
-- Post-Layout Test Bench File
------------------------------------ 
-- Design : scrolling_2
-- Program : Figaro
-- Version : Atmel 7.2 (patch level 3 applied)
-- Vendor : Atmel
-- Created : August 14, 2001 at : 3:20:43 am

library IEEE;
use IEEE.STD_LOGIC_1164.all;

use IEEE.VITAL_timing.all;

library AT94K;
--library user94k;
use AT94K.VCOMPONENTS.all;

entity post_test_bench is
end post_test_bench;

architecture arch_test_bench of post_test_bench is

  component avr_ram_int
    generic ( 
    	sram_clock_inverter : boolean;
    	paddr_width, daddr_width : integer;
    	period, period_wd : time
    );
    port ( 
      FADIN0 : in STD_LOGIC := 'X';
      FADIN1 : in STD_LOGIC := 'X';
      FADIN2 : in STD_LOGIC := 'X';
      FADIN3 : in STD_LOGIC := 'X';
      FADIN4 : in STD_LOGIC := 'X';
      FADIN5 : in STD_LOGIC := 'X';
      FADIN6 : in STD_LOGIC := 'X';
      FADIN7 : in STD_LOGIC := 'X';
      FMDIN0 : in STD_LOGIC := 'X';
      FMDIN1 : in STD_LOGIC := 'X';
      FMDIN2 : in STD_LOGIC := 'X';
      FMDIN3 : in STD_LOGIC := 'X';
      FMDIN4 : in STD_LOGIC := 'X';
      FMDIN5 : in STD_LOGIC := 'X';
      FMDIN6 : in STD_LOGIC := 'X';
      FMDIN7 : in STD_LOGIC := 'X';
      FINT0 : in STD_LOGIC := 'X';
      FINT1 : in STD_LOGIC := 'X';
      FINT2 : in STD_LOGIC := 'X';
      FINT3 : in STD_LOGIC := 'X';
      FINT4 : in STD_LOGIC := 'X';
      FINT5 : in STD_LOGIC := 'X';
      FINT6 : in STD_LOGIC := 'X';
      FINT7 : in STD_LOGIC := 'X';
      FINT8 : in STD_LOGIC := 'X';
      FINT9 : in STD_LOGIC := 'X';
      FINT10 : in STD_LOGIC := 'X';
      FINT11 : in STD_LOGIC := 'X';
      FINT12 : in STD_LOGIC := 'X';
      FINT13 : in STD_LOGIC := 'X';
      FINT14 : in STD_LOGIC := 'X';
      FINT15 : in STD_LOGIC := 'X';
      FMADDR0 : in STD_LOGIC := 'X';
      FMADDR1 : in STD_LOGIC := 'X';
      FMADDR2 : in STD_LOGIC := 'X';
      FMADDR3 : in STD_LOGIC := 'X';
      FMADDR4 : in STD_LOGIC := 'X';
      FMADDR5 : in STD_LOGIC := 'X';
      FMADDR6 : in STD_LOGIC := 'X';
      FMADDR7 : in STD_LOGIC := 'X';
      FMADDR8 : in STD_LOGIC := 'X';
      FMADDR9 : in STD_LOGIC := 'X';
      FMADDR10 : in STD_LOGIC := 'X';
      FMADDR11 : in STD_LOGIC := 'X';
      FMADDR12 : in STD_LOGIC := 'X';
      FMADDR13 : in STD_LOGIC := 'X';
      FMADDR14 : in STD_LOGIC := 'X';
      FMADDR15 : in STD_LOGIC := 'X';
      FMCLK : in STD_LOGIC := 'X';
      FMWEN : in STD_LOGIC := 'X';
      AVRCLK_SEL : in STD_LOGIC_VECTOR (1 downto 0) := "00";
      FADOUT0 : out STD_LOGIC ;
      FADOUT1 : out STD_LOGIC ;
      FADOUT2 : out STD_LOGIC ;
      FADOUT3 : out STD_LOGIC ;
      FADOUT4 : out STD_LOGIC ;
      FADOUT5 : out STD_LOGIC ;
      FADOUT6 : out STD_LOGIC ;
      FADOUT7 : out STD_LOGIC ;
      FMDOUT0 : out STD_LOGIC ;
      FMDOUT1 : out STD_LOGIC ;
      FMDOUT2 : out STD_LOGIC ;
      FMDOUT3 : out STD_LOGIC ;
      FMDOUT4 : out STD_LOGIC ;
      FMDOUT5 : out STD_LOGIC ;
      FMDOUT6 : out STD_LOGIC ;
      FMDOUT7 : out STD_LOGIC ;
      FIOSEL0 : out STD_LOGIC ;
      FIOSEL1 : out STD_LOGIC ;
      FIOSEL2 : out STD_LOGIC ;
      FIOSEL3 : out STD_LOGIC ;
      FIOSEL4 : out STD_LOGIC ;
      FIOSEL5 : out STD_LOGIC ;
      FIOSEL6 : out STD_LOGIC ;
      FIOSEL7 : out STD_LOGIC ;
      FIOSEL8 : out STD_LOGIC ;
      FIOSEL9 : out STD_LOGIC ;
      FIOSEL10 : out STD_LOGIC ;
      FIOSEL11 : out STD_LOGIC ;
      FIOSEL12 : out STD_LOGIC ;
      FIOSEL13 : out STD_LOGIC ;
      FIOSEL14 : out STD_LOGIC ;
      FIOSEL15 : out STD_LOGIC ;
      FGCK5 : out STD_LOGIC ;
      FGCK6 : out STD_LOGIC ;
      FIORE : out STD_LOGIC ;
      FIOWE : out STD_LOGIC ;

    -- External AVR Ports

      UART0_RX0 : in STD_LOGIC := 'X';
      UART1_RX1 : in STD_LOGIC := 'X';
      TOSC1 : in STD_LOGIC := 'X';
      SCL_IN : in STD_LOGIC := 'X';
      SDA_IN : in STD_LOGIC := 'X';
      EXT_INT0 : in STD_LOGIC := 'X';
      EXT_INT1 : in STD_LOGIC := 'X';
      EXT_INT2 : in STD_LOGIC := 'X';
      EXT_INT3 : in STD_LOGIC := 'X';
      UART0_TX0 : out STD_LOGIC; 
      UART1_TX1 : out STD_LOGIC; 
      TOSC2 : out STD_LOGIC; 
      SCL_OUT : out STD_LOGIC; 
      SDA_OUT : out STD_LOGIC; 
       PORTD: inout STD_LOGIC_VECTOR (7 downto 0);
       PORTE: inout STD_LOGIC_VECTOR (7 downto 0)
    );
  end component;

component display
    port ( 
      CLK : in STD_LOGIC := 'X';
      load : in STD_LOGIC_VECTOR(3 downto 0) := "XXXX";
      IO_WRITE : in STD_LOGIC := 'X';
      d : in STD_LOGIC_VECTOR(6 downto 0) := "XXXXXXX";
      cathode : out STD_LOGIC_VECTOR(3 downto 0);
      segment_led1 : out STD_LOGIC_VECTOR(14 downto 0);
      segment_led0 : out STD_LOGIC_VECTOR(14 downto 0)
    );
end component;

  signal sig_segment_led0: STD_LOGIC_VECTOR(14 downto 0);
  signal sig_segment_led1: STD_LOGIC_VECTOR(14 downto 0);
  signal sig_D: STD_LOGIC_VECTOR(6 downto 0);
  signal sig_LOAD: STD_LOGIC_VECTOR(3 downto 0);
  signal sig_IO_WRITE: STD_LOGIC;
  signal sig_cathode: STD_LOGIC_VECTOR(3 downto 0);
  signal sig_CLK: STD_LOGIC;
  signal sig_UART0_RX0: STD_LOGIC;
  signal sig_UART1_RX1: STD_LOGIC;
  signal sig_TOSC1: STD_LOGIC;
  signal sig_SCL_IN: STD_LOGIC;
  signal sig_SDA_IN: STD_LOGIC;
  signal sig_EXT_INT0: STD_LOGIC;
  signal sig_EXT_INT1: STD_LOGIC;
  signal sig_EXT_INT2: STD_LOGIC;
  signal sig_EXT_INT3: STD_LOGIC;
  signal sig_UART0_TX0: STD_LOGIC;
  signal sig_UART1_TX1: STD_LOGIC;
  signal sig_TOSC2: STD_LOGIC;
  signal sig_SCL_OUT: STD_LOGIC;
  signal sig_SDA_OUT: STD_LOGIC;
  signal sig_PORTD: STD_LOGIC_VECTOR (7 downto 0);
  signal sig_PORTE: STD_LOGIC_VECTOR (7 downto 0);
  signal one : STD_LOGIC := '1';
  signal zero : STD_LOGIC := '0';

BEGIN

inst_scrolling_2:display
port map (
CLK => sig_CLK,
load => sig_LOAD,
IO_WRITE => sig_IO_WRITE,
d => sig_D,
cathode => sig_cathode,
segment_led1 => sig_segment_led1,
segment_led0 => sig_segment_led0
);

avr_instance : avr_ram_int
 generic map ( 
	sram_clock_inverter => false,
	period => 40 ns,
	period_wd => 1 us,
	paddr_width => 14,
	daddr_width => 12 )
 port map ( 
  FGCK5 => sig_CLK,
  FIOSEL3 => sig_LOAD(3),
  FIOSEL2 => sig_LOAD(2),
  FIOSEL1 => sig_LOAD(1),
  FIOSEL0 => sig_LOAD(0),
  FIOWE => sig_IO_WRITE,
  FADOUT6 => sig_D(6),
  FADOUT5 => sig_D(5),
  FADOUT4 => sig_D(4),
  FADOUT3 => sig_D(3),
  FADOUT2 => sig_D(2),
  FADOUT1 => sig_D(1),
  FADOUT0 => sig_D(0),
  FINT0 => one,
  FINT1 => one,
  FINT2 => one,
  FINT3 => one,
  FINT4 => one,
  FINT5 => one,
  FINT6 => one,
  FINT7 => one,
  FMWEN => one,
  FINT8 => one,
  FINT9 => one,
  FINT10 => one,
  FINT11 => one,
  FINT12 => one,
  FINT13 => one,
  FINT14 => one,
  FINT15 => one,
  UART0_RX0 => sig_UART0_RX0,
  UART1_RX1 => sig_UART1_RX1,
  TOSC1 => sig_TOSC1,
  SCL_IN => sig_SCL_IN,
  SDA_IN => sig_SDA_IN,
  EXT_INT0 => sig_EXT_INT0,
  EXT_INT1 => sig_EXT_INT1,
  EXT_INT2 => sig_EXT_INT2,
  EXT_INT3 => sig_EXT_INT3,
  UART0_TX0 => sig_UART0_TX0,
  UART1_TX1 => sig_UART1_TX1,
  TOSC2 => sig_TOSC2,
  SCL_OUT => sig_SCL_OUT,
  SDA_OUT => sig_SDA_OUT,
  PORTD => sig_PORTD,
  PORTE  => sig_PORTE
 ); 

--stimulus_process: process
--begin

--**** Add your stimulus values here ****

--end process stimulus_process;

end arch_test_bench;

