//ICC-AVR application builder : 10/5/00 10:24:26 AM

// Target: AT94K

//ICC needs these helper files...
//#include <ioat94k.h>


#include <macros.h>
#include <stdio.h>
#include "AT17.h"

#define WIDTH 4

//Global Variables
unsigned char alphaString[] = "FPSLIC STARTER KIT IS HERE    ";
unsigned char nextPointer = 0;


void init_ports(void)
{
 PORTD = 0x00;
 DDRD  = 0xFF;
}

void init_timer1(void)
{
 TCNT1L = 0x00;
 TCNT1H = 0x00;
 TCCR1B = 0x00; //stop
 TCCR1B = 0x02; //start Timer
 
// TCNT0 = 0x00;
// TCCR0 = 0x00;
// TCCR0 = 0x01;

}


//Interrupt Service Routines
#pragma interrupt_handler timer1_ovf_isr:TIM1_OVF
//#pragma interrupt_handler timer1_ovf_isr:TIM0_OVF
void timer1_ovf_isr(void)
{
 unsigned char counter = 0;



 if(alphaString[nextPointer] == '\0')
 {
        nextPointer = 0;
	   PORTD = 0x00;
 }

/*Output string_characters on FPGA I/O address lines*/

 for(counter = 0; counter < WIDTH; counter++)
 {
         FISCR = counter;

	    if( (nextPointer < WIDTH) && (counter > nextPointer) )
	          FISUA = ' ';
	    else FISUA = alphaString[nextPointer - counter];
 }

 PORTD++;

 nextPointer++;
}


//call this routine to initialize all peripherals
void init_devices(void)
{
 //stop errant interrupts until set up
  CLI(); //disable all interrupts

 init_ports();
 init_timer1();

 MCUR  = 0x00;
 EIMF  = 0x33;
 TIMSK = 0x80; //timer interrupt sources
 //TIMSK = 0x02;

 FISCR = 0x80; //FPGA Interrupts Disabled
 FISUA = 0x00;
 FISUB = 0x00;
 FISUC = 0x00;
 FISUD = 0x00;

 SEI(); //re-enable interrupts

 //all peripherals are now initialized
}

//
void main(void)
{
 unsigned char doSomething = 0;

// initAT94K();

initAT94K();

 init_devices();
 //insert your functional code here...

 for(;;)
 {
        doSomething++;
 }
}

