library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;

entity display is
  port(CLK			:in std_logic;
  	reset			:in std_logic;
	LOAD			:in std_logic_vector(3 downto 0);
	IO_WRITE		:in std_logic;
	D		    	:in std_logic_vector(6 downto 0);
	CATHODE			:inout std_logic_vector(3 downto 0);
	SEGMENT_LED1	:out std_logic_vector(14 downto 0);
	SEGMENT_LED0	:out std_logic_vector(14 downto 0)
	);
end display;

architecture SYN of display is

component rom7x15
	port(
	Q  :  out std_logic_vector(14 downto 0);
	ADDRESS : in std_logic_vector(6 downto 0)
	);
end component;

signal	sig_d0, sig_d1, sig_d2, sig_d3			:std_logic_vector(6 downto 0):="0000000";
signal	sig_address								:std_logic_vector(6 downto 0):="0000000";
signal	sig_q									:std_logic_vector(14 downto 0):="000000000000000";
signal	div_seg0, div_seg1, div_seg2, div_seg3	:std_logic_vector(14 downto 0):="000000000000000";

begin

process(clk, cathode)
begin
	if (CLK = '1' and CLK'EVENT) then
		cathode <= "1110";

	if cathode = "1110" then
		cathode <= "1101";

	elsif cathode = "1101" then
		cathode <= "1011";

	elsif cathode = "1011" then
		cathode <= "0111";
	else null;
	end if;
	end if;
end process;

process(D, IO_write, LOAD)

begin
	
if (LOAD(0) = '1' and io_write = '1' )then
	sig_d0 <= D;
elsif (LOAD(1) = '1' and io_write = '1') then
	sig_d1 <= D;
elsif (LOAD(2) = '1' and io_write = '1') then
	sig_d2 <= D;
elsif (LOAD(3) = '1' and io_write = '1') then
	sig_d3 <= D;
else
Null;
end if;
end process;

process(cathode, sig_d0, sig_d1, sig_d2, sig_d3, sig_q, div_seg0, div_seg1, div_seg2, div_seg3)

begin
	
if cathode(0)='0' then
		sig_address <= sig_d0;
		div_seg0 <= sig_q;
		segment_led0 <= div_seg0;
	
elsif cathode(1)='0' then
		sig_address <= sig_d1;
		div_seg1 <= sig_q;
		segment_led0 <= div_seg1;

elsif cathode(2)='0' then
		sig_address <= sig_d2;
		div_seg2 <= sig_q;
		segment_led1 <= div_seg2;

elsif cathode(3)='0' then
		sig_address <= sig_d3;
		div_seg3 <= sig_q;
		segment_led1 <= div_seg3;
else
Null;
end if;
end process;
  
R0 :  rom7x15
     PORT MAP (
     		Q	=> sig_q,
     		ADDRESS => sig_address 
     	      );

end SYN;


