--*******************************************************
--	Testbench File for design display produced by	
--		Atmel System Designer on 
--		August 14, 2001 12:04:17 pm
--*******************************************************

LIBRARY ieee;
LIBRARY at94k;
use ieee.std_logic_1164.all;
use at94k.at94k_pkg.all;

ENTITY display_test_bench IS

END display_test_bench;

ARCHITECTURE arch_test_bench OF display_test_bench IS

-- Top level component declaration display

COMPONENT display
PORT (
	clk: in std_logic;
	reset: in std_logic;
	load: in std_logic_vector(3 downto 0);
	io_write: in std_logic;
	d: in std_logic_vector(6 downto 0);
	segment_led1: out std_logic_vector(14 downto 0);
	segment_led0: out std_logic_vector(14 downto 0);
	cathode: inout std_logic_vector(3 downto 0)
);
END COMPONENT;

-- Internal signal declaration

SIGNAL sig_clk	: std_logic ;
SIGNAL sig_reset	: std_logic ;
SIGNAL sig_load	: std_logic_vector(3 downto 0) ;
SIGNAL sig_io_write	: std_logic ;
SIGNAL sig_d	: std_logic_vector(6 downto 0) ;
SIGNAL sig_segment_led1	: std_logic_vector(14 downto 0) ;
SIGNAL sig_segment_led0	: std_logic_vector(14 downto 0) ;
SIGNAL sig_cathode	: std_logic_vector(3 downto 0) ;

SIGNAL sig_avrclk_sel : std_logic_vector(1 downto 0) :="00";
SIGNAL dummy_vector : std_logic_vector(7 downto 0);
SIGNAL dummy	: std_logic;

BEGIN

-- Instantiating top level design Component display

inst_display : display
PORT MAP(
	clk	=> sig_clk,
	reset	=> sig_reset,
	load	=> sig_load,
	io_write	=> sig_io_write,
	d	=> sig_d,
	segment_led1	=> sig_segment_led1,
	segment_led0	=> sig_segment_led0,
	cathode	=> sig_cathode
);

-- avr_ram_int component instantiation

--**************************************************--
--Do not change the instance name of the avr_ram_int 
--component in the following instantiation.
--**************************************************--

inst_avr_ram_int :	avr_ram_int
GENERIC MAP ( period => 40 ns,
	period_wd => 1 us,
	sram_clock_inverter => true ,
	paddr_width => 14,
	daddr_width => 12)
PORT MAP(

--Data lines connecting FPGA peripherals and AVR
--Data lines to AVR(input to AVR)

	FADIN0	=> dummy,
	FADIN1	=> dummy,
	FADIN2	=> dummy,
	FADIN3	=> dummy,
	FADIN4	=> dummy,
	FADIN5	=> dummy,
	FADIN6	=> dummy,
	FADIN7	=> dummy,

--Data lines From AVR(output from AVR)

	FADOUT0	=> sig_d(0),
	FADOUT1	=> sig_d(1),
	FADOUT2	=> sig_d(2),
	FADOUT3	=> sig_d(3),
	FADOUT4	=> sig_d(4),
	FADOUT5	=> sig_d(5),
	FADOUT6	=> sig_d(6),
	--FADOUT7	=> open,

-- Data lines connecting FPGA peripherals and Data SRAM
--Data lines to Data SRAM

	FMDIN0	=> dummy,
	FMDIN1	=> dummy,
	FMDIN2	=> dummy,
	FMDIN3	=> dummy,
	FMDIN4	=> dummy,
	FMDIN5	=> dummy,
	FMDIN6	=> dummy,
	FMDIN7	=> dummy,

--Data lines from Data SRAM

	--FMDOUT0	=> open,
	--FMDOUT1	=> open,
	--FMDOUT2	=> open,
	--FMDOUT3	=> open,
	--FMDOUT4	=> open,
	--FMDOUT5	=> open,
	--FMDOUT6	=> open,
	--FMDOUT7	=> open,

--Address lines from FPGA peripherals to Data SRAM

	FMADDR0	=> dummy,
	FMADDR1	=> dummy,
	FMADDR2	=> dummy,
	FMADDR3	=> dummy,
	FMADDR4	=> dummy,
	FMADDR5	=> dummy,
	FMADDR6	=> dummy,
	FMADDR7	=> dummy,
	FMADDR8	=> dummy,
	FMADDR9	=> dummy,
	FMADDR10	=> dummy,
	FMADDR11	=> dummy,
	FMADDR12	=> dummy,
	FMADDR13	=> dummy,
	FMADDR14	=> dummy,
	FMADDR15	=> dummy,

-- Interrupt to AVR from FPGA peripherals

	FINT0	=> '1',
	FINT1	=> '1',
	FINT2	=> '1',
	FINT3	=> '1',
	FINT4	=> '1',
	FINT5	=> '1',
	FINT6	=> '1',
	FINT7	=> '1',
	FINT8	=> '1',
	FINT9	=> '1',
	FINT10	=> '1',
	FINT11	=> '1',
	FINT12	=> '1',
	FINT13	=> '1',
	FINT14	=> '1',
	FINT15	=> '1',

-- IO Select from AVR to FPGA

	FIOSEL0	=> sig_load(0),
	FIOSEL1	=> sig_load(1),
	FIOSEL2	=> sig_load(2),
	FIOSEL3	=> sig_load(3),
	--FIOSEL4	=> open,
	--FIOSEL5	=> open,
	--FIOSEL6	=> open,
	--FIOSEL7	=> open,
	--FIOSEL8	=> open,
	--FIOSEL9	=> open,
	--FIOSEL10	=> open,
	--FIOSEL11	=> open,
	--FIOSEL12	=> open,
	--FIOSEL13	=> open,
	--FIOSEL14	=> open,
	--FIOSEL15	=> open,

--SRAM control lines

	FMWEN	=> dummy,
	FMCLK	=> dummy,

--FGPA clock gclk5 and gclk6

	FGCK5	=> sig_clk,
	--FGCK6	=> open,

--FPGA control lines

	--FIORE	=> open,
	FIOWE	=> sig_io_write,

	avrclk_sel 	=>  sig_avrclk_sel,

	EXT_INT0	=> '1',	-- External Interrupt 0
	EXT_INT1	=> '1',	-- External Interrupt 1
	EXT_INT2	=> '1',	-- External Interrupt 2
	EXT_INT3	=> '1',	-- External Interrupt 3
	PORTD	=> dummy_vector,
	PORTE	=> dummy_vector,
	TOSC1	=> dummy,	-- Input to the Timer/Counter oscillator amplifier
	UART0_RX0	=> dummy,	-- UART0 receive (input) pin
	UART1_RX1	=> dummy,	-- UART1 receive (input) pin
	SCL_IN	=> dummy,	-- 2-wire serial input clock
	SDA_IN	=> dummy	-- 2-wire serial input data
	-- UART0_TX0	=> open,	-- UART0 transmit (output) pin
	-- UART1_TX1	=> open,	-- UART1 transmit (output) pin
	-- TOSC2	=> open,	-- Output from the Timer/Counter oscillator amplifier
	-- XTAL2	=> open,	-- Output from the  oscillator amplifier
	-- SCL_OUT	=> open,	-- 2-wire serial output clock
	-- SDA_OUT	=> open	-- 2-wire serial output data

);

-- stimulus_process: PROCESS
-- BEGIN

-- **** Add your stimulus values here ****

-- END PROCESS stimulus_process;

END arch_test_bench;

